(Unbenannt)

Sie finden das Thema in der SQL Server-Onlinedokumentation.


Datenquelle

Diese Tabelle zeigt, wie ein Verbindungsserver für Datenquellen, auf die der Zugriff über OLE DB möglich ist, eingerichtet werden kann. Ein Verbindungsserver kann für eine gegebene Datenquelle auf mehrere Arten eingerichtet werden, so dass möglicherweise mehrere Zeilen für einen Datenquellentyp vorhanden sind. Die Tabelle zeigt auch, welche sp_addlinkedserver-Parameterwerte zum Einrichten des Verbindungsservers verwendet werden.

Remote- OLE DB-Datenquelle | OLE DB- Provider | Produktname | Providername | Datenquelle | Speicherort | Providerzeichenfolge | Katalog
SQL Server | Microsoft OLE DB-Provider für SQL Server | SQL Server | SQLOLEDB | Netzwerkname von SQL Server | - | - | Datenbankname
Oracle | Microsoft OLE DB-Provider für Oracle | Beliebig1 | MSDAORA | SQL*Net- Alias für Oracle-Datenbank | - | - | -
Access/ Jet | Microsoft OLE DB-Provider für Jet | Beliebig | Microsoft.Jet.OLEDB.4.0 | Vollständiger Pfadname der Jet-Datenbankdatei | - | - | -
ODBC-Datenquelle | Microsoft OLE DB-Provider für ODBC | Beliebig | MSDASQL | System-DSN der ODBC-Datenquelle | - | - | -
ODBC-Datenquelle | Microsoft OLE DB-Provider für ODBC | Beliebig | MSDASQL | - | - | ODBC- Verbindungs-zeichenfolge | -
Dateisystem | Microsoft OL DB-Provider für Indexdienst | Beliebig | MSIDXS | Katalogname für den Indexdienst | - | - | -
Microsoft Excel Kalkulations-tabelle | Microsoft OLE DB-Provider für Jet | Beliebig | Microsoft.Jet.OLEDB.4.0 | Vollständiger Pfadname der Excel-Datei | - | Excel 5.0 | -
1Gibt an, dass der Produktname beliebig ist.

Die Parameter für Datenquelle, Speicherort, Providerzeichenfolge und Katalog identifizieren die Datenbank(en), auf die der Verbindungsserver zeigt. Wenn einer dieser Parameter NULL ist, wird die entsprechende OLE DB-Initialisierungseigenschaft nicht eingestellt.


Tabelle hinzufügen

Sie können Tabellen und Sichten im Abfrage-Designer hinzufügen oder Tabellen im Datenbankdesigner hinzufügen. Dieses Dialogfeld wird angezeigt, wenn Sie im SQL Server 7.0 Enterprise Manager arbeiten.

Option | Funktion
Hinzufügen Fügt Tabellen oder Sichten hinzu. Wenn Sie eine bereits vorhandene Tabelle oder Sicht hinzufügen, geschieht Folgendes:

Im Abfrage-Designer erhält die doppelte Tabelle einen Aliasnamen. Wenn Sie beispielsweise die authors-Tabelle zweimal hinzufügen, erhält die zweite authors-Tabelle den Namen authors1.

Der Datenbankdesigner weist Sie in einem Meldungsfeld darauf hin, dass die Tabelle bereits im Diagramm vorhanden ist.
Schließen | Bricht das Hinzufügen der neuen Tabelle oder Sicht ab, wenn Sie noch nichts hinzugefügt haben. Oder schließt das Dialogfeld, nachdem eine Tabelle oder Sicht hinzugefügt wurde.


Namen wählen

Sie können den vom System zugewiesenen Namen einer neuen Tabelle ändern, sofern diese noch nicht in der Datenbank erstellt wurde.

In der folgenden Tabelle werden die im Dialogfeld Namen wählen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Geben Sie einen Namen für die Tabelle ein | Zeigt den vom System zugewiesenen Namen der Tabelle an. Geben Sie im Textfeld einen neuen Namen für die Tabelle ein.


Beziehung erstellen

Sie können die miteinander in Beziehung stehenden Spalten bestätigen sowie Eigenschaften für eine neue Beziehung festlegen.

In der folgenden Tabelle werden die im Dialogfeld Beziehung erstellen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Beziehungsname | Zeigt den vom System zugewiesenen Namen der Beziehung an. Um die Beziehung neu zu benennen, geben Sie einen neuen Namen im Textfeld ein.
Primärschlüsseltabelle | Zeigt den Namen der Primärschlüsseltabelle in der Beziehung an, gefolgt von den Spalten, aus denen sich der Primärschlüssel zusammensetzt. Sie können die Spalten ändern, so dass sie mit den unter Fremdschlüsseltabelle angezeigten Spalten übereinstimmen.
Fremdschlüsseltabelle | Zeigt den Namen der Fremdschlüsseltabelle in der Beziehung an, gefolgt von den Spalten, aus denen sich der Fremdschlüssel zusammensetzt. Sie können die Spalten ändern, so dass sie mit den unter Primärschlüsseltabelle angezeigten Spalten übereinstimmen.
Vorhandene Daten bei Erstellung überprüfen | Wendet die Einschränkung auf vorhandene Daten in der Fremdschlüsseltabelle an, wenn die Beziehung erstellt wird. Wenn diese Option aktiviert ist, erhalten Sie eine Fehlermeldung, falls Daten die Einschränkung verletzen.
Beziehung für INSERT und UPDATE aktivieren | Wendet die Einschränkung an, wenn Daten in der Fremdschlüsseltabelle mithilfe dieser Anweisungen hinzugefügt, gelöscht oder aktualisiert werden.
Beziehung für Replikation aktivieren | Kopiert die Einschränkung, wenn die Fremdschlüsseltabelle in eine andere Datenbank kopiert wird.
OK | Erstellt die Beziehung im Datenbankdiagramm und legt die ausgewählten Eigenschaften fest.
Abbrechen | Löscht die Zeile für die Beziehung aus dem Datenbankdiagramm. Die Beziehung wird nicht erstellt.


Spaltenauswahl

Sie können die benutzerdefinierte Ansicht für Tabellen im Datenbankdiagramm ändern. In der benutzerdefinierten Ansicht werden lediglich die vom Benutzer angegebenen Spalteneigenschaften angezeigt.

In der folgenden Tabelle werden die im Dialogfeld Spaltenauswahl zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Verfügbare Spalten | Listet alle in der ausgewählten Datenbanktabelle vorhandenen Spalten auf. Die hier aufgelisteten Spalten hängen von den Eigenschaften der Datenbanktabelle sowie dem Datenbanktyp ab. Markieren Sie die gewünschte Spalte, und verwenden Sie die Pfeilschaltflächen, um die Spalten in das Feld Ausgewählte Spalten zu verschieben.
Ausgewählte Spalten | Zeigt die derzeit für die benutzerdefinierte Ansicht definierten Spalteneigenschaften an. Fügen Sie Spalteneigenschaften hinzu, die angezeigt werden sollen, und entfernen Sie jene, die nicht angezeigt werden sollen. Sortieren Sie die Spalten in dieser Liste, um die Reihenfolge festzulegen, in der sie in der Tabelle angezeigt werden.
Sortieren | Verwenden Sie die Pfeile, um markierte Spalten in der Liste Ausgewählte Spalten nach oben oder nach unten zu verschieben. Die Reihenfolge der Spalten in der angezeigten Tabelle wird durch die Liste Ausgewählte Spalten festgelegt.
Als Standard speichern | Ersetzt die aktuelle benutzerdefinierte Ansicht durch die in diesem Dialogfeld ausgewählten Spalten. Ist diese Option nicht aktiviert, wird die im Dialogfeld getroffene Spaltenauswahl auf die ausgewählte Tabelle im Datenbankdiagramm angewendet.
OK | Erstellt die neue benutzerdefinierte Ansicht. Die Darstellung der ausgewählten Tabelle wird neu aufgebaut, um die im Feld Ausgewählte Spalten aufgelisteten Spalten anzuzeigen.
Abbrechen | Bricht die Änderung der benutzerdefinierten Ansicht ab.


Es wurden Änderungen in der Datenbank festgestellt

Dieses Dialogfeld wird angezeigt, wenn Sie versuchen, ein Datenbankdiagramm oder ausgewählte Tabellen zu speichern, obwohl einige der von diesem Speichervorgang betroffenen Datenbankobjekte in Bezug auf die Datenbank veraltet sind. Wenn Sie die in diesem Dialogfeld angezeigten Änderungen akzeptieren, wird die Datenbank aktualisiert, so dass sie mit Ihrem Diagramm übereinstimmt, und die Änderungen anderer Benutzer werden überschrieben.

Sie können die an einer Tabelle oder einem Datenbankdiagramm vorgenommenen Änderungen zwar nicht rückgängig machen, aber die Änderungen werden erst in der Datenbank gespeichert, wenn Sie die Tabelle oder das Diagramm speichern. Sollen nicht gespeicherte Änderungen verworfen werden, schließen Sie alle offenen Diagramme, ohne sie zu speichern.

In der folgenden Tabelle werden die im Dialogfeld Es wurden Änderungen in der Datenbank festgestellt zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Aktualisiert die Datenbank mit allen in der Liste angezeigten Änderungen.
Nein | Bricht den Speichervorgang ab.
Textdatei speichern | Speichert die Liste der Datenbankänderungen in einer Textdatei im Projektverzeichnis und zeigt ein Meldungsfeld mit dem vollgekennzeichneten Dateinamen der Textdatei an. In dieser Datei werden die von Ihnen durchgeführten Änderungen aufgezeichnet.


Es wurden Änderungen in der Datenbank festgestellt

In diesem Dialogfeld wird Ihnen mitgeteilt, dass die von Ihnen im Ergebnisbereich bearbeitete Datenzeile nicht mehr aktuell ist. Dieses Dialogfeld wird angezeigt, wenn Sie versuchen, durch Wechseln zu einer anderen Zeile im Ergebnisbereich Änderungen an einer Zeile zu speichern, und Enterprise Manager dabei feststellt, dass sich die entsprechende Zeile in der Datenbank geändert hat. Diese Situation tritt meistens dann auf, wenn ein anderer Benutzer die Zeile bearbeitet und Änderungen gespeichert hat, nachdem Sie die Abfrage ausgeführt haben.

In der folgenden Tabelle werden die im Dialogfeld Es wurden Änderungen in der Datenbank festgestellt zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Klicken Sie auf diese Schaltfläche, wenn die von Ihnen vorgenommenen Änderungen gespeichert und somit die Änderungen des anderen Benutzers überschrieben werden sollen.
Nein | Klicken Sie auf diese Schaltfläche, wenn die von Ihnen vorgenommenen Änderungen verworfen werden sollen und die aktuellste Version der Zeile abgerufen werden soll. Enterprise Manager kehrt nach dem erneuten Abrufen der Zeile aus der Datenbank zum Ergebnisbereich zurück.
Abbrechen | Klicken Sie auf diese Schaltfläche, um zum Ergebnisbereich zurückzukehren, ohne die Zeile zu speichern oder die Änderungen zu verwerfen. Wenn Sie diese Option auswählen, können Sie versuchen, die Zeile erneut zu speichern oder weitere Änderungen vorzunehmen, z. B. können Sie Ihre Bearbeitungen an die Version der Zeile in der Datenbank anpassen. Um die aktuellste Version der Zeile anzuzeigen, ohne Ihre Änderungen zu verwerfen, führen Sie eine zweite Abfrage für die zu bearbeitenden Daten aus.


Datentypänderung erforderlich

Dieses Dialogfeld wird angezeigt, wenn Sie den Datentyp, die Länge, die Dezimalstellen oder die Genauigkeit einer Spalte ändern, die Teil einer Beziehung ist.

In der folgenden Tabelle werden die im Dialogfeld Datentypänderung erforderlich zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Ändert die Datentypeigenschaft der in der Liste angezeigten miteinander in Beziehung stehenden Spalten, so dass die vorhandenen Beziehungen erhalten bleiben. Sie können die an einer Tabelle oder einem Datenbankdiagramm vorgenommenen Änderungen zwar nicht rückgängig machen, aber die Änderungen werden erst in der Datenbank gespeichert, wenn Sie die Tabelle oder das Diagramm speichern. Sollen nicht gespeicherte Änderungen verworfen werden, schließen Sie alle offenen Diagramme, ohne sie zu speichern.
Nein | Bricht die Datentypänderung ab und stellt den vorigen Datentyp der soeben geänderten Spalte wieder her.


Abfrageparameter definieren

Sie können Werte für die in der Abfrage definierten Parameter eingeben.

In der folgenden Tabelle werden die im Dialogfeld Abfrageparameter definieren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Parametername | Listet die Parameter auf, die für die derzeit durchgeführte Abfrage definiert sind. Wenn die Abfrage benannte Parameter enthält, werden die Namen in der Liste angezeigt. Enthält die Abfrage unbenannte Parameter, wird für jeden Parameter in der Abfrage ein Fragezeichen angezeigt.
Parameterwert | Geben Sie den Wert für jeden unter Parametername aufgelisteten Parameter ein. Der zuletzt verwendete Wert wird als Standardparameterwert angezeigt.


Tabelle löschen

Sie können die Tabelle angeben, aus der Zeilen gelöscht werden sollen.

Wählen Sie die Tabelle aus, aus der Zeilen gelöscht werden sollen, und klicken Sie anschließend auf OK.

Anmerkung

Mit einer Löschabfrage werden ganze Zeilen aus der Tabelle entfernt. Sollen Werte aus einzelnen Datenspalten gelöscht werden, verwenden Sie eine Aktualisierungsabfrage. Wenn Sie Spalten aus einer Tabellendefinition oder die Tabelle selbst löschen möchten, verwenden Sie Enterprise Manager.


Gehe zu Zeile

Sie können zu einer bestimmten Zeile im Ergebnisbereich wechseln.

In der folgenden Tabelle werden die im Dialogfeld Gehe zu Zeile zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Zeile | Geben Sie die Zeilennummer der Zeile ein, zu der Sie wechseln möchten. Ist das Abrufen der Abfrageergebnisse in der Abfrage beendet, wird die Gesamtzahl der Zeilen im Resultset angezeigt. Wenn Sie eine Zahl eingeben, die die Gesamtzahl der Zeilen im Resultset übersteigt, wechselt der Abfrage-Designer in die letzte Zeile.


Indizes/Schlüssel

Diese Eigenschaftenseite enthält Eigenschaften für die Indizes, Primärschlüssel und eindeutigen Einschränkungen, die mit den Tabellen im Datenbankdiagramm verbunden sind. Indizes und Einschränkungen werden in Datenbankdiagrammen nicht grafisch dargestellt.

In der folgenden Tabelle werden die auf der Eigenschaftenseite Indizes/Schlüssel zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ausgewählter Index | Zeigt den Namen des ersten Indexes für die im Diagramm ausgewählte Tabelle an. Wurden mehrere Tabellen im Diagramm ausgewählt, wird nur der Name des ersten Indexes für die erste Tabelle angezeigt. Sollen Eigenschaften für einen anderen Index angezeigt werden, erweitern Sie zur Auswahl die Dropdownliste Ausgewählter Index.
Typ | Zeigt den Objekttyp des Indexes bzw. Schlüssels für die ausgewählte Tabelle an: Index, Primärschlüssel oder eindeutig.
Neu | Klicken Sie auf diese Schaltfläche, um einen neuen Index für die ausgewählte Datenbanktabelle zu erstellen. Geben Sie Eigenschaften für den Index ein.
Löschen | Klicken Sie auf diese Schaltfläche, um den ausgewählten Index aus der Tabelle zu entfernen. Ein Primärschlüssel kann nicht gelöscht werden, ohne dass alle gegebenenfalls vorhandenen Beziehungen zwischen Tabellen, die von dem Primärschlüssel abhängen, zuvor entfernt werden.
Spaltenname | Zeigt die Liste der Spalten in dem Index, dem Primärschlüssel oder der eindeutigen Einschränkung an. Sie können in dieser Liste Spaltennamen hinzufügen, ändern oder entfernen.
Indexname | Zeigt den Namen des ausgewählten Indexes an. Sie können den Index umbenennen, indem Sie in diesem Feld einen neuen Namen eingeben.
UNIQUE erstellen | Aktivieren Sie diese Option, um eine eindeutige Einschränkung oder einen eindeutigen Index für die ausgewählte Datenbanktabelle zu erstellen. Geben Sie an, ob eine Einschränkung oder ein Index erstellt werden soll, indem Sie das Optionsfeld Einschränkung oder Index aktivieren.
Doppelte Schlüssel ignorieren | Falls Sie einen eindeutigen Index erstellen, können Sie mithilfe dieser Option sicherstellen, dass jeder Wert in einer indizierten Spalte eindeutig ist.
Füllfaktor | Der angegebene Füllfaktor legt fest, wie stark jede Indexseite gefüllt werden kann. Wenn kein Füllfaktor angegeben ist, wird der Standardfüllfaktor der Datenbank verwendet.
Pad Index | Aktivieren Sie diese Option, um anzugeben, wie viel Platz in jedem inneren Knoten des Indexes frei bleiben soll. Standardmäßig stellt SQL Server sicher, dass jeder Indexknoten Platz für mindestens zwei Zeilen der maximalen Indexgröße aufweist.
Als CLUSTERED erstellen | Aktivieren Sie diese Option, um einen gruppierten Index für die ausgewählte Datenbanktabelle zu erstellen.
Statistik nicht automatisch neu berechnen | Gibt an, dass die Indexstatistik nicht neu berechnet werden soll. Dies wird nicht empfohlen.


In Tabelle einfügen

Sie können eine Tabelle angeben, in die neue Zeilen eingefügt werden sollen.

In der folgenden Tabelle werden die im Dialogfeld In Tabelle einfügen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Tabellenname | Wählen Sie aus der Liste den Namen der Tabelle aus, zu der Zeilen hinzugefügt werden sollen. Für die Einfügeabfrage kann nur eine Tabelle angegeben werden. Sie können die Tabelle, in die Zeilen eingefügt werden sollen, im Eigenschaftenfenster ändern.


Werte einfügen

Sie können die Tabelle angeben, zu der eine Zeile hinzugefügt werden soll.

Wählen Sie die Tabelle aus, zu der eine Zeile hinzugefügt werden soll, und klicken Sie anschließend auf OK.


Verknüpfungslinie (Registerkarte), Eigenschaftenfenster

Sie können Optionen für das Verknüpfen von Tabellen in einer Abfrage mit mehreren Tabellen festlegen.

Standardmäßig werden Detailtabellen mithilfe einer inneren Verknüpfung verbunden, durch die ein Resultset erstellt wird. Dieses basiert auf Zeilen, die in den Verknüpfungsspalten übereinstimmende Informationen enthalten. Durch Einstellen der Optionen auf der Registerkarte Verknüpfungslinie können Sie eine auf einem anderen Operator basierende Verknüpfung sowie eine äußere Verknüpfung festlegen.

In der folgenden Tabelle werden die auf der Registerkarte Verknüpfungslinie des Eigenschaftenfensters zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Tabelle | Gibt die Namen der Tabellen an, die Teil der Verknüpfung sind. Sie können die Namen der Tabellen hier nicht ändern; sie dienen lediglich zu Informationszwecken.
Spalte | Gibt die Namen der zum Verknüpfen der Tabellen verwendeten Spalten an. Der Operator in der Liste Operator legt die Beziehung zwischen den Daten in den Spalten fest. Sie können die Namen der Spalten hier nicht ändern; sie dienen lediglich Informationszwecken.
Operator | Legt den Operator fest, der zum Erstellen der Beziehungen zwischen den Verknüpfungsspalten verwendet wird. Wenn ein anderer Operator als Gleich (=) verwendet werden soll, wählen Sie den gewünschten Operator aus der Liste aus. Wenn Sie das Dialogfeld schließen, wird der ausgewählte Operator in der Karografik der Verknüpfungslinie angezeigt.
Zeilen einschließen | Legt fest, ob nicht übereinstimmende Zeilen im Ergebnisbereich angezeigt werden.
Alle Zeilen von <table1> | Legt fest, dass alle Zeilen aus der linken Tabelle in der Ausgabe angezeigt werden, auch wenn keine entsprechenden Übereinstimmungen in der rechten Tabelle vorhanden sind. Spalten ohne übereinstimmende Daten in der rechten Tabelle werden als NULL-Spalten angezeigt. Das Aktivieren dieser Option entspricht der Angabe von LEFT OUTER JOIN (linke äußere Verknüpfung) in der SQL-Anweisung.
Alle Zeilen von <table2> Legt fest, dass alle Zeilen aus der rechten Tabelle in der Ausgabe angezeigt werden, auch wenn keine entsprechenden Übereinstimmungen in der linken Tabelle vorhanden sind. Spalten ohne übereinstimmende Daten in der linken Tabelle werden als NULL-Spalten angezeigt. Das Aktivieren dieser Option entspricht der Angabe von RIGHT OUTER JOIN (rechte äußere Verknüpfung) in der SQL-Anweisung.

Wenn Sie beide Optionen aktivieren, entspricht dies der Angabe von FULL OUTER JOIN (vollständige äußere Verknüpfung) in der SQL-Anweisung.

Einige Datenbanken, z. B. Oracle, unterstützen keine vollständigen äußeren Verknüpfungen.

Wenn Sie eine Option zum Erstellen einer äußeren Verknüpfung aktivieren, ändert sich die Karografik in der Verknüpfungslinie, um anzuzeigen, ob es sich um eine linke, rechte oder vollständige äußere Verknüpfung handelt.

Die Bezeichnungen „links“ und „rechts“ stimmen nicht unbedingt mit der Position der Tabellen im Diagrammbereich überein. „Links“ bezieht sich auf die Tabelle, deren Name links vom Schlüsselwort JOIN in der SQL-Anweisung angezeigt wird, und „rechts“ bezieht sich auf die Tabelle, deren Name rechts vom Schlüsselwort JOIN angezeigt wird. Wenn Sie Tabellen im Diagrammbereich verschieben, ändert sich die Bezeichnung „links“ oder „rechts“ für die Tabellen nicht.


Tabelle erstellen

Sie können eine Tabelle benennen, die daraufhin erstellt wird und in die Sie Zeilen kopieren können.

In der folgenden Tabelle werden die im Dialogfeld Tabelle erstellen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Tabellenname | Geben Sie den Namen der zu erstellenden Tabelle ein. Der Abfrage-Designer überprüft nicht, ob der Name bereits verwendet wird oder ob Sie über die Berechtigung zum Erstellen der Tabelle verfügen. Um eine Zieltabelle in einer anderen Datenbank zu erstellen, geben Sie einen vollgekennzeichneten Tabellennamen an, der den Namen der Zieldatenbank, (gegebenenfalls) den Besitzer sowie den Namen der Tabelle enthält.


Parameter (Registerkarte), Eigenschaftenfenster

Sie können Optionen für die Kennzeichnung von Parametern in der Abfrage festlegen.

Soll ein Parameter in eine Abfrage aufgenommen werden, müssen Sie den Parameter durch Sonderzeichen kennzeichnen, damit Enterprise Manager den Parameternamen nicht als Textinformation interpretiert. Wenn Sie z. B. eckige Klammern ( [ und ] ) für die Kennzeichnung von Parametern verwenden, können Sie einen Parameter eingeben, indem Sie den folgenden Suchausdruck festlegen:

= [last_name]

Wenn Sie die Abfrage ausführen, fordert Enterprise Manager Sie zur Eingabe eines Wertes auf und setzt dann den von Ihnen angegebenen Wert für den Parameter last_name ein.

In der folgenden Tabelle werden die auf der Registerkarte Parameter des Eigenschaftenfensters zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Präfixzeichen | Legt das oder die Zeichen fest, die den Anfang eines Parameters kennzeichnen.
Suffixzeichen | Legt das oder die Zeichen fest, die das Ende eines Parameters kennzeichnen.
Escapezeichen | Legt ein Escapezeichen fest. Dieses Zeichen zeigt an, dass ein Parameterkennzeichen in einem Namen als Literal verwendet wird. Wenn Sie z. B. "%" als Parameterkennzeichen festlegen, können Sie dieses Zeichen in der Regel nicht in einem Parameternamen verwenden, z. B. in "% complete". Wurde jedoch "\" als Escapezeichen festgelegt, können Sie folgende Zeichenfolge als Parameternamen verwenden: %\% complete%


Seite einrichten

Verwenden Sie dieses Dialogfeld zum Festlegen der Druckereinstellungen, z. B. Ausrichtung, Skalierung und Papiergröße, für ein Diagramm. Die Optionen für die Druckereinstellungen, die für ein Diagramm festgelegt werden, werden mit der Diagrammdatei gespeichert. Wenn Sie die Druckskalierungs- und Ausrichtungsoptionen für das Diagramm einstellen, werden die Seitenumbrüche für das Diagramm automatisch aktualisiert.

In der folgenden Tabelle werden die im Dialogfeld Seite einrichten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Name | Gibt den Namen des Standarddruckers an und listet die auf dem Computer eingerichteten Drucker auf.
Eigenschaften | Legt die Optionen für den ausgewählten Drucker fest. Die verfügbaren Optionen hängen von den Merkmalen des Druckers ab.
Status | Zeigt Informationen über den ausgewählten Drucker an.
Typ | Zeigt Modell und Marke des ausgewählten Druckers an.
Wo | Zeigt den Netzwerkpfad bzw. seriellen Anschluss für den ausgewählten Drucker an.
Kommentar | Zeigt zusätzliche Informationen über den ausgewählten Drucker an.
Größe | Gibt die Größe des zu verwendenden Papiers bzw. Briefumschlags an.
Quelle | Gibt an, wo im Drucker sich das zu verwendende Papier befindet. Verschiedene Druckermodelle unterstützen unterschiedliche Papierquellen, z. B. oberer Schacht, Briefumschlagseinzug und manuelle Zufuhr.
Hochformat | Legt fest, dass das Layout für das Dokument auf Hochformat ausgerichtet werden soll.
Querformat | Legt fest, dass das Layout für das Dokument auf Querformat ausgerichtet werden soll.
(%) | Legt die Größe des Diagramms auf der Grundlage der Einstellungen für ein 100-Prozent-Diagramm fest. Wählen Sie einen Prozentsatz zwischen 10 und 400 aus.


Unterschiedliche Abfragedefinitionen

In diesem Dialogfeld wird Ihnen mitgeteilt, dass die Abfrage im Diagramm- und Kriterienbereich nicht grafisch dargestellt werden kann und dass Sie die Abfrage nur im SQL-Bereich bearbeiten können. Dieses Dialogfeld wird angezeigt, wenn Sie eine SQL-Anweisung im SQL-Bereich eingeben oder bearbeiten, dann zu einem anderen Bereich wechseln, die Abfrage überprüfen oder versuchen, sie auszuführen, und eine der folgenden Bedingungen zutrifft:

  • Der SQL-Befehl ist unvollständig oder enthält einen oder mehrere Syntaxfehler.
  • Der SQL-Befehl ist gültig, wird jedoch in den grafischen Bereichen nicht unterstützt (z. B. eine UNION-Abfrage).
  • Der SQL-Befehl ist gültig, enthält jedoch Syntax, die für die verwendete Datenverbindung spezifisch ist.

Tipp

Sie können die Gültigkeit einer Anweisung überprüfen, indem Sie auf der Abfragesymbolleiste auf die Schaltfläche SQL überprüfen klicken.

Der im Dialogfeld angezeigten Meldung können Sie entnehmen, warum die SQL-Anweisung nicht dargestellt werden kann. Außerdem werden Sie gefragt, wie Sie fortfahren möchten.

Anmerkung

Das Dialogfeld Unterschiedliche Abfragedefinitionen wird nicht angezeigt, wenn Sie den Diagramm- und Kriterienbereich ausgeblendet haben, da Enterprise Manager davon ausgeht, dass Sie nur im SQL-Bereich Bearbeitungen durchführen.

In der folgenden Tabelle werden die im Dialogfeld Unterschiedliche Abfragedefinitionen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Klicken Sie auf diese Schaltfläche, um die SQL-Anweisung anzunehmen, entweder um sie weiter zu bearbeiten oder um sie auszuführen. Wird die Anweisung angenommen, blendet Enterprise Manager den Diagramm- und Kriterienbereich ab, um anzuzeigen, dass sie die Anweisung im SQL-Bereich nicht darstellen. Wenn die Anweisung korrekt ist, aber von Enterprise Manager nicht grafisch unterstützt wird, können Sie sie ausführen, obwohl sie im Diagramm- und Kriterienbereich nicht dargestellt werden kann. Wird z. B. eine UNION-Abfrage eingegeben, kann die Anweisung zwar ausgeführt, aber in den anderen Bereichen nicht dargestellt werden.
Nein | Klicken Sie auf diese Schaltfläche, um die Änderungen im SQL-Bereich zu verwerfen und zur letzten SQL-Anweisung zurückzukehren, die im Diagramm- und SQL-Bereich dargestellt werden kann.


Abfrage (Registerkarte), Eigenschaftenfenster

Sie können die Verhaltensweise der von Ihnen erstellten oder geänderten Abfrage steuern.

In der folgenden Tabelle werden die auf der Registerkarte Abfrage des Eigenschaftenfensters zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Abfragename | Zeigt den Namen der aktuellen Abfrage an. In diesem Feld können Sie den Abfragenamen nicht ändern. Um einen neuen Namen zuzuweisen, verwenden Sie den Befehl Speichern auf der Abfragesymbolleiste, um das Dialogfeld Speichern unter anzuzeigen.
Top | Gibt einen Wert oder 0-100 Prozent an. Sie können die WITH TIES-Klausel hier nicht verwenden.
Alle Spalten ausgeben | Legt fest, dass alle Spalten aller Tabellen in der aktuellen Abfrage in das Resultset aufgenommen werden. Das Aktivieren dieser Option entspricht der Eingabe eines Sternchens (*) anstelle von individuellen Spaltennamen.
DISTINCT-Werte | Legt fest, dass die Abfrage Duplikate im Resultset herausfiltert. Diese Option ist nützlich, wenn Sie nur einige Spalten einer Tabelle verwenden, die möglicherweise doppelte Werte enthalten, oder wenn durch die Verknüpfung zweier oder mehrerer Tabellen doppelte Zeilen im Resultset entstehen. Das Aktivieren dieser Option entspricht der Eingabe des Wortes DISTINCT in der Anweisung im SQL-Bereich.
Zieltabelle | Gibt den Namen der Tabelle an, in die Zeilen eingefügt werden sollen. Diese Liste wird angezeigt, wenn Sie eine Einfügeabfrage oder eine Tabellenerstellungsabfrage erstellen. Wählen Sie bei einer Einfügeabfrage einen Tabellennamen aus der Liste aus. Bei einer Tabellenerstellungsabfrage geben Sie den Namen der zu erstellenden Tabelle ein. Enterprise Manager überprüft nicht, ob der Name bereits verwendet wird oder ob Sie über die Berechtigung zum Erstellen der Tabelle verfügen. Um eine Zieltabelle in einer anderen Datenbank zu erstellen, geben Sie einen vollgekennzeichneten Tabellennamen an, der den Namen der Zieldatenbank, (gegebenenfalls) den Besitzer sowie den Namen der Tabelle enthält.
GROUP BY-Erw. | Gibt an, dass zusätzliche Optionen für Sichten auf der Grundlage von Aggregatabfragen verwendet werden.
WITH CUBE | Legt fest, dass die Aggregatabfrage Zusammenfassungswerte für die in der GROUP BY-Klausel angegebenen Gruppen erzeugen soll. Die Gruppen werden erstellt, indem die Spalten, die in der GROUP BY-Klausel enthalten sind, mit Querverweisen versehen werden. Anschließend wird die Aggregatfunktion der Abfrage angewendet, um Zusammenfassungswerte für die zusätzlichen Superaggregatzeilen zu erzeugen. Die Option WITH CUBE ist multidimensional, d. h., sie erstellt Zusammenfassungen aus allen Kombinationen von Aggregatfunktionen und Spalten in der Abfrage.
WITH ROLLUP | Legt fest, dass die Aggregatabfrage Zusammenfassungswerte für die in der GROUP BY-Klausel angegebenen Gruppen erzeugen soll. Die Option WITH ROLLUP ähnelt der Option WITH CUBE, erstellt jedoch nur einen Zusammenfassungstyp für jede Kombination aus Spalten und Aggregatfunktionen.
ALL | Legt fest, dass die Aggregatabfrage alle doppelten Zeilen in der Zusammenfassung einschließt.


Beziehungen

Diese Eigenschaftenseite enthält Eigenschaften für die Beziehungen zwischen den Tabellen im Datenbankdiagramm.

In der folgenden Tabelle werden die auf der Eigenschaftenseite Beziehungen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ausgewählte Beziehung | Zeigt den Namen der im Diagramm ausgewählten Beziehung an. Wurden mehrere Beziehungen im Diagramm ausgewählt, wird nur der Name der ersten Beziehung in der Auswahl angezeigt. Sollen Eigenschaften für eine andere Beziehung angezeigt werden, erweitern Sie zur Auswahl die Liste.
Beziehungsname | Zeigt den Namen der ausgewählten Beziehung an. Sie können die Beziehung umbenennen, indem Sie in diesem Feld einen neuen Namen eingeben.
Primärschlüsseltabelle | Zeigt den Namen der Primärschlüsseltabelle in der Beziehung an, gefolgt von den Spalten, aus denen sich der Primärschlüssel zusammensetzt.
Fremdschlüsseltabelle | Zeigt den Namen der Fremdschlüsseltabelle in der Beziehung an, gefolgt von den Spalten, aus denen sich der Fremdschlüssel zusammensetzt.
Vorhandene Daten bei Erstellung überprüfen | Wendet die Einschränkung auf bereits vorhandene Daten in der Datenbank an, wenn die Beziehung zur Fremdschlüsseltabelle hinzugefügt wird.
Beziehung für INSERT und UPDATE aktivieren | Wendet die Einschränkung auf Daten an, die in der Fremdschlüsseltabelle gelöscht, hinzugefügt oder aktualisiert werden. Darüber hinaus wird verhindert, dass eine Zeile in der Primärschlüsseltabelle gelöscht wird, wenn in der Fremdschlüsseltabelle eine entsprechende Zeile vorhanden ist.
Beziehung für Replikation aktivieren | Wendet die Einschränkung an, wenn die Fremdschlüsseltabelle in eine andere Datenbank kopiert wird.


Abfrage-Ergebnisse werden zurückgegeben

In diesem Dialogfeld wird Ihnen mitgeteilt, dass Enterprise Manager die angeforderte Aktion nicht durchführen kann, da derzeit eine Abfrage ausgeführt wird. Dieses Dialogfeld wird angezeigt, wenn Sie eine Abfrage ausgeführt haben und vor Beendigung dieser Abfrage versuchen, einen der folgenden Vorgänge durchzuführen:

  • Wechseln zu einer Zeile des Resultsets, die noch nicht zurückgegeben wurde.
  • Einfügen einer neuen Zeile in den Ergebnisbereich.
  • Löschen einer oder mehrerer Zeilen im Ergebnisbereich.
  • Verwenden des Befehls Kopieren, um ausgewählte Spalten in die Zwischenablage zu kopieren.

In der folgenden Tabelle werden die im Dialogfeld Abfrage-Ergebnisse werden zurückgegeben zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Abbrechen | Bricht den beabsichtigten Vorgang ab und lässt den Cursor in der Zeile, von der aus der Vorgang angefordert wurde.


Abfrage-Ergebnisse werden zurückgegeben

In diesem Dialogfeld wird Ihnen mitgeteilt, dass Enterprise Manager die Änderungen an der von Ihnen bearbeiteten Zeile nicht speichern kann, da derzeit eine Abfrage ausgeführt wird. Dieses Dialogfeld wird angezeigt, wenn Sie eine Abfrage ausführen, vor Beendigung der Abfrage eine Zeile im Ergebnisbereich bearbeiten und diese zu speichern versuchen, indem Sie zu einer anderen Zeile im Raster wechseln.

Wenn Sie mit bestimmten Datenbanken arbeiten, wartet Enterprise Manager, bis die Abfrage beendet ist, bevor er die von Ihnen bearbeitete Zeile speichert und zur angeforderten Zeile wechselt. Damit Sie die Wartezeit abschätzen können, enthält das Dialogfeld eine Statusanzeige.

In der folgenden Tabelle werden die im Dialogfeld Abfrage-Ergebnisse werden zurückgegeben zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Abbrechen | Klicken Sie auf diese Schaltfläche, wenn Sie den Versuch, zu einer anderen Zeile zu wechseln, abbrechen möchten. Enterprise Manager kehrt dann zu der bearbeiteten Zeile zurück, und Sie können die Änderungen nach Beendigung der Abfrage speichern. Wenn Sie nicht auf Abbrechen klicken, speichert Enterprise Manager die Änderungen, nachdem die Abfrage beendet wurde.


Speichern

Sie können ein Datenbankdiagramm oder ausgewählte Tabellen speichern, indem Sie die Speicherung der Tabellen bestätigen.

In der folgenden Tabelle werden die im Dialogfeld Speichern zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Speichert alle in der Liste angezeigten Tabellen. Sie können die an einer Tabelle oder einem Datenbankdiagramm vorgenommenen Änderungen zwar nicht rückgängig machen, aber die Änderungen werden erst in der Datenbank gespeichert, wenn Sie die Tabelle oder das Diagramm speichern. Sollen nicht gespeicherte Änderungen verworfen werden, schließen Sie alle offenen Diagramme, ohne sie zu speichern.
Nein | Bricht den Speichervorgang ab.
Textdatei speichern | Speichert die Liste der Tabellen in einer Textdatei im Projektverzeichnis und zeigt ein Meldungsfeld mit dem vollgekennzeichneten Namen der Textdatei an. In dieser Datei werden die Tabellen aufgezeichnet, die von den durchgeführten Änderungen betroffen sind.


Änderungsskript speichern

Sie können ein Änderungsskript anzeigen, wenn nicht gespeicherte Datenbankänderungen in der Tabelle oder dem Datenbankdiagramm vorhanden sind, und Sie können das Änderungsskript als Textdatei mit der Erweiterung .sql im Projektverzeichnis speichern.

In der folgenden Tabelle werden die im Dialogfeld Änderungsskript speichern zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Speichert das SQL-Änderungsskript im Projektverzeichnis. In einem Meldungsfeld wird der Speicherort der Änderungsskriptdatei angezeigt.
Nein | Bricht den Speichervorgang ab.
Änderungsskript automatisch nach jedem Speichern erstellen | Aktivieren Sie diese Option, um nach jedem Speichern des Datenbankdiagramms oder der ausgewählten Tabellen ein Änderungsskript zu erstellen. Auf diese Weise werden alle an der Datenbank vorgenommenen Änderungen aufgezeichnet.


Speichervorgang unvollständig

Dieses Dialogfeld wird angezeigt, wenn bei der Speicherung eines Datenbankdiagramms oder ausgewählter Tabellen Fehler aufgetreten sind. In diesem Dialogfeld werden folgende Elemente aufgelistet: die erfolgreich in der Datenbank gespeicherten Objekte, die nicht gespeicherten Objekte sowie die aufgetretenen Fehler.

In der folgenden Tabelle werden die im Dialogfeld Speichervorgang unvollständig zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Speichert alle in der Liste angezeigten Tabellen. Sie können die an einer Tabelle oder einem Datenbankdiagramm vorgenommenen Änderungen zwar nicht rückgängig machen, aber die Änderungen werden erst in der Datenbank gespeichert, wenn Sie die Tabelle oder das Diagramm speichern. Sollen nicht gespeicherte Änderungen verworfen werden, schließen Sie alle offenen Diagramme, ohne sie zu speichern.
OK | Kehrt zum Diagramm zurück.
Textdatei speichern | Speichert die in einer Textdatei angezeigten Informationen im Projektverzeichnis und zeigt ein Meldungsfeld mit dem vollgekennzeichneten Dateinamen der Textdatei an. In dieser Datei werden sowohl die Datenbankänderungen aufgezeichnet, die erfolgreich gespeichert wurden, als auch die Änderungen, die aufgrund von Fehlern nicht gespeichert werden konnten.


Fehler in SQL-Syntax

In diesem Dialogfeld wird Ihnen mitgeteilt, dass Enterprise Manager die SQL-Anweisung im SQL-Bereich nicht analysieren kann. Dieses Dialogfeld wird angezeigt, wenn Sie eine SQL-Anweisung im SQL-Bereich eingeben oder bearbeiten, dann zu einem anderen Bereich wechseln, die Abfrage überprüfen oder auszuführen versuchen und eine der folgenden Bedingungen zutrifft:

  • Der SQL-Befehl ist unvollständig oder enthält einen oder mehrere Syntaxfehler.
  • Der SQL-Befehl ist gültig, wird jedoch in den grafischen Bereichen nicht unterstützt (z. B. eine UNION-Abfrage).
  • Der SQL-Befehl ist gültig, enthält jedoch Syntax, die für die verwendete Datenverbindung spezifisch ist.

Tipp

Sie können die Gültigkeit einer Anweisung überprüfen, indem Sie auf der Abfragesymbolleiste auf die Schaltfläche SQL überprüfen klicken.

Der im Dialogfeld angezeigten Meldung können Sie entnehmen, warum die SQL-Anweisung nicht analysiert werden kann. Klicken Sie auf OK, um fortzufahren.

Tipp

Wenn Sie vermuten, dass die SQL-Anweisung Fehler enthält, überprüfen Sie die Anweisung mithilfe der Schaltfläche SQL überprüfen auf der Abfragesymbolleiste.


Tabellen

Diese Eigenschaftenseite enthält Eigenschaften für die Tabellen im Datenbankdiagramm sowie deren CHECK-Einschränkungen.

In der folgenden Tabelle werden die auf der Eigenschaftenseite Tabellen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ausgewählte Tabelle | Zeigt den Namen der ausgewählten Tabelle im Diagramm an. Wurden mehrere Tabellen im Diagramm ausgewählt, wird nur der Name der ersten Tabelle in der Auswahl angezeigt. Sollen Eigenschaften für eine andere Tabelle angezeigt werden, erweitern Sie zur Auswahl die Liste.
Tabellenname | Zeigt den Namen der ausgewählten Tabelle an. Um die Tabelle umzubenennen, geben Sie in diesem Feld einen neuen Namen ein.
Tabellendateigruppe | Wählen Sie den Namen der Dateigruppe aus, in der Sie die ausgewählten Tabellendaten speichern möchten. Mindestens eine benutzerdefinierte Dateigruppe muss vorhanden sein, damit diese Einstellung aktiviert werden kann. Diese Einstellung ist nur für SQL Server 7.0-Datenbanken verfügbar.
Textdateigruppe | Wählen Sie den Namen der Dateigruppe aus, in der Sie die Text- und Bilddaten der ausgewählten Tabelle speichern möchten. Mindestens eine benutzerdefinierte Dateigruppe muss vorhanden sein, damit diese Einstellung aktiviert werden kann. Diese Einstellung ist nur für SQL Server 7.0-Datenbanken verfügbar.
CHECK-Einschränkungen für Tabellen und Spalten | In diesem Dialogfeld können Sie CHECK-Einschränkungen hinzufügen oder bearbeiten.
Ausgewählte Einschränkung | Zeigt eine Liste der CHECK-Einschränkungen an, die mit der ausgewählten Tabelle verbunden sind.
Neu | Erstellt eine neue CHECK-Einschränkung für die ausgewählte Tabelle.
Löschen | Löscht die ausgewählte CHECK-Einschränkung aus der Datenbank.
Einschränkungsausdruck | Zeigt die SQL-Syntax der ausgewählten CHECK-Einschränkung an. Für neue Einschränkungen müssen Sie die SQL-Syntax eingeben, bevor Sie dieses Feld schließen. Darüber hinaus können Sie vorhandene CHECK-Einschränkungen bearbeiten.
Einschränkungsname | Zeigt den Namen der ausgewählten Einschränkung an. Sie können die Einschränkung umbenennen, indem Sie in diesem Feld einen neuen Namen eingeben.
Vorhandene Daten bei Erstellung überprüfen | Durch Aktivieren dieser Option wird sichergestellt, dass alle Daten in der Tabelle, die bei Erstellung der Einschränkung vorhanden sind, anhand der Einschränkung überprüft werden.
Einschränkung für INSERT und UPDATE aktivieren | Wendet die Einschränkung an, wenn Daten in der Tabelle gelöscht, eingefügt oder aktualisiert werden.
Einschränkung für Replikation aktivieren | Wendet die Einschränkung an, wenn die Tabelle in eine andere Datenbank kopiert wird.


Ungespeicherte Änderungen vorhanden

Dieses Dialogfeld wird angezeigt, wenn Sie versuchen, die letzte Tabelle eines Datenbankdiagramms oder das Diagramm selbst in Enterprise Manager zu schließen, obwohl sich nicht gespeicherte Tabellen im Speicher befinden.

In der folgenden Tabelle werden die im Dialogfeld Ungespeicherte Änderungen vorhanden zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Funktion
Ja | Speichert alle in der Liste angezeigten Tabellen. Sie können die an einer Tabelle oder einem Datenbankdiagramm vorgenommenen Änderungen zwar nicht rückgängig machen, aber die Änderungen werden erst in der Datenbank gespeichert, wenn Sie die Tabelle oder das Diagramm speichern. Sollen nicht gespeicherte Änderungen verworfen werden, schließen Sie alle offenen Diagramme, ohne sie zu speichern.
Nein | Schließt das Diagramm, ohne die Änderungen zu speichern.
Textdatei speichern | Speichert die Liste der nicht gespeicherten Tabellen in einer Textdatei im Projektverzeichnis und zeigt ein Meldungsfeld mit dem vollgekennzeichneten Dateinamen der Textdatei an. In dieser Datei werden die Tabellen aufgezeichnet, die von den durchgeführten Änderungen betroffen sind.


Tabelle aktualisieren

Sie können die Tabelle angeben, die aktualisiert werden soll.

Wählen Sie die zu aktualisierende Tabelle aus, und klicken Sie anschließend auf OK.


SQL Server-Sicherheit für Microsoft Access 2000

Sie können die Sicherheit für SQL Server-Datenbanken einrichten, die mithilfe von Microsoft® Access 2000 verwaltet werden.

Einrichten von Sicherheitskonten

Jeder Benutzer muss über ein Anmeldekonto, das eine Verbindung herstellen kann (Authentifizierung), Zugriff auf einen Computer mit Microsoft® SQL Server™ erhalten. (Hierzu kann die Registerkarte Serveranmeldungen verwendet werden.) Diese Anmeldung wird dann einem SQL Server-Benutzerkonto (das mithilfe der Optionen auf der Registerkarte Datenbankbenutzer eingerichtet wurde) zugeordnet, das zum Steuern der Aktivitäten in der Datenbank (Berechtigungsüberprüfung) eingesetzt wird. Ein einziger Benutzername wird also einem Benutzerkonto zugeordnet, das in jeder Datenbank erstellt wird, auf die der Benutzer Zugriff erhalten soll. Wenn in einer Datenbank kein Benutzerkonto vorhanden ist, kann der Benutzer nicht auf die Datenbank zugreifen, auch wenn er eine Verbindung zu SQL Server herstellen kann.

Bei Verwendung der Windows NT-Authentifizierung wird der Benutzername in Microsoft Windows NT® statt in SQL Server erstellt. Diesem Benutzernamen (einem Windows NT-Benutzer- oder Gruppenkonto) wird dann die Berechtigung zur Herstellung einer Verbindung mit SQL Server erteilt.

Bei Verwendung der SQL Server-Authentifizierung wird der Benutzername in SQL Server erstellt.

Die SQL Server-Benutzerkonten, denen Benutzernamen zugeordnet sind (erstellt unter Windows NT oder SQL Server) und die den Zugriff auf die Datenbank zulassen, werden immer in einzelnen SQL Server-Datenbanken erstellt.

Erstellen von benutzerdefinierten SQL Server-Datenbankrollen

Wenn eine Gruppe von Benutzern bestimmte Aktivitäten in Microsoft® SQL Server™ ausführen muss und keine entsprechende Microsoft Windows NT®-Gruppe vorhanden ist oder wenn Sie nicht über die Berechtigung zum Verwalten von Windows NT-Benutzerkonten verfügen, können Sie auf der Registerkarte Datenbankrollen eine SQL Server-Rolle hinzufügen.

SQL Server-Rollen sind nur in einer Datenbank vorhanden und gelten nicht datenbankübergreifend.

Zu den Vorteilen der Verwendung von Datenbankrollen gehören die folgenden:

  • Für jeden Benutzer können mehrere Datenbankrollen gleichzeitig aktiv sein.
  • SQL Server-Rollen können Windows NT-Gruppen und Benutzer sowie SQL Server-Benutzer und andere Rollen enthalten, vorausgesetzt, alle Benutzer, Gruppen und Rollen sind in der aktuellen Datenbank vorhanden.
  • Ein Benutzer kann mehreren Rollen in derselben Datenbank angehören.
  • Es wird ein skalierbares Modell zum Einrichten der geeigneten Sicherheitsstufe in einer Datenbank zur Verfügung gestellt.
  • Da Benutzer mehreren Datenbankrollen gleichzeitig angehören können, ist es nicht mehr notwendig, dass Benutzer durch Aliasnamen zeitweilig die Identität (und Berechtigungen) anderer Benutzer annehmen.

Weitere Informationen zu den Themen und Optionen in diesem Dialogfeld finden Sie in der SQL Server-Onlinedokumentation.


Externes Tool hinzufügen

In der Tabelle werden die im Dialogfeld Externes Tool hinzufügen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Befehl | Gibt den vollgekennzeichneten Pfad des externen Tools an, den ausführbaren Dateinamen des Tools eingeschlossen.
Parameter | Gibt die Parameter an, mit denen das externe Tool gestartet werden soll. Die Platzhalter [SRV] und [DBN] können als Ersetzungsparameter hinzugefügt werden, um abhängig vom aktuellen Server- und Datenbankkontext im linken oder rechten Bereich ersetzt zu werden.


SQL Server-Sicherung (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes SQL Server-Sicherung zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Datenbank | Gibt die zu sichernde Datenbank an.
Name | Gibt den Namen der Datenbanksicherung an.
Beschreibung | Beschreibt die Datenbanksicherung.
Datenbank - vollständig | Legt fest, dass eine vollständige Datenbanksicherung durchgeführt werden soll.
Datenbank - differenziell | Legt fest, dass eine differenzielle Datenbanksicherung durchgeführt werden soll. Bei einer differenziellen Datenbanksicherung werden nur Datenänderungen aufgezeichnet, die nach der letzten vollständigen Datenbanksicherung durchgeführt wurden.
Transaktionsprotokoll | Legt fest, dass eine Sicherung des Transaktionsprotokolls durchgeführt werden soll.
Datei und Dateigruppe | Gibt den Dateinamen und die Dateigruppe an, die gesichert werden sollen.
(...) | Zeigt die Datei- und Gruppennamen an.
Band | Legt fest, dass die Datenbank auf Bandmedien gesichert werden soll.
Festplatte | Legt fest, dass die Datenbank auf Datenträgermedien gesichert werden soll.
Hinzufügen | Fügt einen Sicherungszielort hinzu.
Entfernen | Entfernt den ausgewählten Sicherungszielort.
Inhalt | Zeigt den Inhalt des ausgewählten Bandes oder der ausgewählten Festplatte an.
An Medien anhängen | Legt fest, dass die Sicherung an vorhandene Medien angehängt werden soll. Auf diese Weise bleibt der bisherige Inhalt der Medien erhalten, und die neue Sicherung wird am Ende der letzten Sicherung auf den Medien angehängt.
Vorhandene Medien überschreiben | Legt fest, dass gegebenenfalls vorhandene Medien überschrieben werden sollen. In diesem Fall wird vorhandener Inhalt auf den Sicherungsmedien mit der neuen Sicherung überschrieben und steht daher nicht mehr zur Verfügung.
Terminplan | Legt den Terminplan für eine Datenbanksicherung fest.
(...) | Zeigt den aktuellen Terminplan für die Datenbanksicherung an.


SQL Server-Sicherung (Registerkarte „Optionen“)

In der folgenden Tabelle werden die auf der Registerkarte Optionen des Dialogfeldes SQL Server-Sicherung zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Sicherung nach Beendigung überprüfen | Überprüft die Sicherung nach Beendigung auf Medienintegrität.
Nach der Sicherung Band auswerfen | Wirft das Bandsicherungsmedium aus, nachdem die Sicherung beendet wurde.
Inaktive Einträge aus dem Transaktionsprotokoll entfernen | Legt fest, dass Einträge aus dem Transaktionsprotokoll entfernt werden sollen, nachdem die Sicherung abgeschlossener Transaktionen beendet wurde.
Mediensatzname und Sicherungssatzverfallsdatum überprüfen | Legt fest, dass der Mediensatzname und das Sicherungssatzverfallsdatum überprüft werden sollen, bevor die Medien überschrieben werden.
Mediensatzname | Legt den Mediensatznamen für ein Medium fest, der vorhanden sein muss, damit das Medium überschrieben werden kann.
Sicherungssatz verfällt | Gibt an, dass die Verfallsbedingungen des Sicherungssatzes festgelegt werden sollen. SQL Server verwendet lediglich die Sicherungsverfallsinformationen des ersten Sicherungssatzes, um festzustellen, ob das gesamte Medium überschrieben werden kann.
nach | Gibt die Anzahl der Tage an, die nach dem Abschluss der Sicherung vergehen müssen, bevor das Medium überschrieben werden kann.
am | Gibt das Datum an, an dem das Medium überschrieben werden kann.
Medien initialisieren und bezeichnen | Legt fest, dass am Anfang des Mediums ein Header im Microsoft Tape Format geschrieben werden soll. Auf diese Weise werden der gesamte Inhalt sowie gegebenenfalls vorhandene Medienheaderinformationen gelöscht. Das Sicherungssatzverfallsdatum und der Mediensatzname werden bei der Initialisierung eines Mediums nicht überprüft.
Mediensatzname | Gibt den Mediennamen an, der als Teil des MTF (Microsoft Tape Format)-Headers auf das Medium geschrieben werden soll.
Mediensatzbeschreibung | Gibt die Medienbeschreibung an, die als Teil des MTF (Microsoft Tape Format)-Headers auf das Medium geschrieben werden soll. In der Regel enthält diese Beschreibung den Verwendungszweck des Mediums sowie den Aufbewahrungsort.


Eigenschaften von Sicherungsmedium (Registerkarte „Allgemein“)

Sie können den Namen und den Speicherort eines Sicherungsmediums anzeigen oder ändern.

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von Sicherungsmedium zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Fügt den Namen des Sicherungsmediums hinzu oder zeigt diesen an.
Inhalte anzeigen | Zeigt den Namen, den Server, die Datenbank, den Sicherungstyp, das Datum, das Verfallsdatum, die Größe sowie die Beschreibung für jede auf dem Medium gespeicherte Sicherung an.
Name des Bandlaufwerks | Gibt den Namen des Bandlaufwerks für das Sicherungsmedium an.
Dateiname | Fügt den Namen und Pfad des Festplattenlaufwerks hinzu oder zeigt diesen an.
(...) | Sucht nach dem Sicherungsmedium.


Zielserver für Auftrag wechseln (Registerkarte „Alle Servergruppen“)

In der folgenden Tabelle werden die auf der Registerkarte Alle Servergruppen des Dialogfeldes Zielserver für Auftrag wechseln zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der Zielservergruppe an.
Ausgewählt | Zeigt die Anzahl der Server in einer Servergruppe an, auf denen der Auftrag ausgeführt wird.
Ausgewählte Zielserver | Listet die Zielserver auf, auf denen der Auftrag ausgeführt wird.
Hinzufügen | Fügt eine neue Zielservergruppe hinzu.
Löschen | Löscht eine Zielservergruppe. Einzelne Zielserver, die der Gruppe zugewiesen wurden, werden nicht gelöscht.
Eigenschaften | Zeigt die der Zielservergruppe zugeordneten Eigenschaften an.
Pfeil nach rechts | Fügt die Server, die Mitglied der ausgewählten Gruppe(n) sind, der Liste mit Zielservern hinzu, auf denen der Auftrag ausgeführt wird.


Zielserver für Auftrag wechseln (Registerkarte „Verfügbare Server“)

In der folgenden Tabelle werden die auf der Registerkarte Verfügbare Server des Dialogfeldes Zielserver für Auftrag wechseln zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Verfügbare Server | Listet die Zielserver auf, auf denen der Auftrag derzeit nicht ausgeführt wird.
Eigenschaften | Zeigt das Dialogfeld Zielservereigenschaften an.
Pfeil nach rechts | Fügt einen oder mehrere Zielserver zu der Liste mit Zielservern hinzu, auf denen der Auftrag ausgeführt wird. Sie können auch auf einen verfügbaren Server doppelklicken.
Pfeil nach links | Entfernt einen oder mehrere Zielserver aus der Liste mit Zielservern, auf denen der Auftrag ausgeführt wird. Sie können auch auf einen ausgewählten Zielserver doppelklicken.
Ausgewählte Zielserver | Listet die Zielserver auf, auf denen der Auftrag ausgeführt wird.


Abhängigkeiten (Registerkarte „Allgemein“)

Sie können Informationen zu den Abhängigkeitsbeziehungen eines Objekts anzeigen.

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Abhängigkeiten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Objekt | Wählt ein Datenbankobjekt aus, für das Abhängigkeiten angezeigt werden sollen.
Objekte, die von <Objekt> abhängig sind | Zeigt alle Datenbankobjekte an, die von dem ausgewählten Objekt abhängig sind. Für jedes Objekt werden der Besitzer und die Sequenz angegeben.
Objekte, von denen <Objekt> abhängig ist | Zeigt alle Datenbankobjekte an, von denen das ausgewählte Objekt abhängig ist. Für jedes Objekt werden der Besitzer und die Sequenz angegeben.


Datenbankwartungsplan (Registerkarte „Vollständige Sicherung“)

Sie sollten in regelmäßigen Abständen Sicherungskopien der Datenbank anlegen, um im Fall eines Systemausfalls Datenverluste zu verhindern. In der folgenden Tabelle werden die auf der Registerkarte Vollständige Sicherung des Dialogfeldes Datenbankwartungsplan zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Datenbank als Teil des Wartungsplans sichern | Bewirkt, dass die gesamte Datenbank im Rahmen der Wartungstasks gesichert wird. Eine Sicherung der Datenbank ist wichtig, falls ein System- oder Hardwareausfall (oder ein Benutzerfehler) dazu führt, dass die Datenbank beschädigt wird. In diesem Fall muss eine Sicherungskopie wiederhergestellt werden.
Integrität der Sicherung nach Beendigung überprüfen | Überprüft, ob der Sicherungssatz vollständig ist und auf alle Datenträger zugegriffen werden kann. Zu diesem Zweck wird die Transact-SQL-Anweisung RESTORE VERIFYONLY ausgeführt.
Band | Sichert die Datenbank auf dem angegebenen Bandmedium. Das Bandmedium ist mit dem Computer verbunden, der die zu sichernde Microsoft® SQL Server™-Datenbank enthält.
Festplatte | Sichert die Datenbank auf der Festplatte, die sich auf dem Computer mit der zu sichernden SQL Server-Datenbank befindet. Um den Pfad für die Datenbanksicherung festzulegen, wählen Sie Dieses Verzeichnis verwenden.
Standardsicherungsverzeichnis verwenden | Sichert die Datenbank im Festplattenverzeichnis \Mssql7\Backup, das sich auf dem Computer mit der zu sichernden SQL Server-Datenbank befindet.
Dieses Verzeichnis verwenden | Sichert die Datenbank in dem angegebenen Festplattenverzeichnis, das sich auf dem Computer mit der zu sichernden SQL Server-Datenbank befindet.
(...) | Ändert das standardmäßig für die Sicherung der Datenbank verwendete Festplattenverzeichnis. Es können ausschließlich Laufwerke ausgewählt werden, die sich auf dem Computer mit der zu sichernden SQL Server-Datenbank befinden.
Unterverzeichnis für jede Datenbank erstellen | Erstellt in dem angegebenen Festplattenverzeichnis ein Unterverzeichnis, das die Datenbanksicherung für jede im Rahmen des Wartungsplanes gesicherte Datenbank enthält.
Dateien entfernen, wenn älter als | Löscht automatisch Datenbanksicherungen, die ein bestimmtes Alter überschritten haben. Es empfiehlt sich, eine Datenbanksicherungschronik anzulegen, damit frühere Versionen der Datenbank wiederhergestellt werden können, die weiter zurückliegen als die zuletzt durchgeführte Sicherung. Bewahren Sie so viele Sicherungen auf, wie der Festplattenspeicher zulässt. Wie weit die Sicherungen zurückgehen, hängt von der Notwendigkeit zur Wiederherstellung früherer Versionen sowie von den jeweiligen Unternehmensabläufen ab.
Sicherungsdateierweiterung | Legt die Dateinamenerweiterung für alle Dateien fest, die eine Datenbanksicherung enthalten. Standardmäßig wird die Dateinamenerweiterung .bak verwendet.
Terminplan | Legt die Häufigkeit fest, mit der Datenbanksicherungstasks ausgeführt werden (der Terminplan wird mithilfe des SQL Server-Agenten erstellt). Standardmäßig wird die Sicherung sonntags um Mitternacht durchgeführt.
Ändern | Ändert den Standardterminplan.


Datenbankwartungsplan (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Datenbankwartungsplan zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Planname | Zeigt den Namen des Wartungsplanes an.
Alle Datenbanken | Erstellt einen Wartungsplan, der Wartungstasks für alle Microsoft® SQL Server™-Datenbanken ausführt.
Alle Systemdatenbanken (master, model und msdb) | Erstellt einen Wartungsplan, der Wartungstasks für alle SQL Server-Systemdatenbanken ausführt. Für benutzerdefinierte Datenbanken werden keine Wartungstasks durchgeführt.
Alle Benutzerdatenbanken (alle Datenbanken außer master, model und msdb) | Erstellt einen Wartungsplan, der Wartungstasks für alle benutzerdefinierten Datenbanken ausführt. Für SQL Server-Systemdatenbanken werden keine Wartungstasks durchgeführt.
Diese Datenbanken | Erstellt einen Wartungsplan, der nur für die ausgewählten Datenbanken Wartungstasks durchführt. Wurde diese Option aktiviert, muss mindestens eine Datenbank aus der Liste ausgewählt werden. Hierbei handelt es sich um die Standardeinstellung, so dass zumindest eine Datenbank ausgewählt werden muss.


Datenbankwartungsplan (Registerkarte „Integrität“)

Sie können Datenintegritätstests durchführen, um beschädigte Daten zu ermitteln, die durch Hardware- oder Softwarefehler entstehen können. In der folgenden Tabelle werden die auf der Registerkarte Integrität des Dialogfeldes Datenbankwartungsplan zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Datenbankintegrität überprüfen | Überprüft die Reservierung von Datenseiten in der Datenbank.
Indizes einschließen | Überprüft die Reservierung von Daten- und Indexseiten in der Datenbank.
Kleinere Probleme beheben | Bei Feststellung kleinerer Probleme während der internen Datenintegritätstests wird versucht, diese automatisch zu beheben. Die Auswahl dieser Option wird empfohlen.
Indizes ausschließen | Überprüft die Reservierung von Datenseiten in der Datenbank. Dieser Test kann schneller durchgeführt werden als ein Datenbanktest mit Indizes, da weniger Seiten überprüft werden müssen.
Die Tests vor dem Sichern der Datenbank bzw. des Transaktionsprotokolls durchführen | Bewirkt, dass die Datenbanktests und/oder die internen Datenintegritätstests ausgeführt werden, bevor die Datenbank oder das Transaktionsprotokoll gesichert werden. Werden bei den Integritätstests Inkonsistenzen festgestellt, werden nachfolgende Datenbank- oder Transaktionsprotokollsicherungen nicht durchgeführt.
Terminplan | Legt die Häufigkeit fest, mit der Datenintegritätstasks ausgeführt werden (der Terminplan wird mithilfe des SQL Server-Agenten erstellt). Standardmäßig wird die Sicherung sonntags um Mitternacht durchgeführt.
Ändern | Ändert den Standardterminplan.


Datenbankwartungsplan (Registerkarte „Optimierungen“)

Sie können Ihre Daten- und Indexseiten neu organisieren, um die Systemleistung zu optimieren. Nachdem die Statistik aktualisiert wurde, kann der Abfrageoptimierer auf verbesserte Ausführungspläne zugreifen. In der folgenden Tabelle werden die auf der Registerkarte Optimierungen des Dialogfeldes Datenbankwartungsplan zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Daten- und Indexseiten neu organisieren | Bewirkt, dass die Tabellenindizes in der Datenbank gelöscht und mit einem neuen Füllfaktor neu erstellt werden. Der Füllfaktor legt den freien Speicherplatz auf jeder Seite des Indexes fest. Dieser freie Speicherplatz stellt einen bestimmten Prozentsatz jeder Datenseite des Indexes dar und steht für zukünftige Erweiterungen zur Verfügung. Während Daten der Tabelle hinzugefügt werden, verringert sich der freie Speicherplatz, da der Füllfaktor nicht beibehalten wird. Indem die Daten- und Indexseiten neu organisiert werden, kann jedoch erneut freier Speicherplatz hergestellt werden.
Seiten unter Beibehaltung des ursprünglich freien Speicherplatzes neu organisieren | Bewirkt, dass die Tabellenindizes in der Datenbank gelöscht und mit dem ursprünglichen Füllfaktor, der bei der Erstellung des Indexes festgelegt wurde, neu erstellt werden.
Freien Speicherplatz pro Seitenprozentsatz ändern auf | Bewirkt, dass die Tabellenindizes in der Datenbank gelöscht und mit einem neuen, automatisch berechneten Füllfaktor neu erstellt werden. Auf diese Weise wird der angegebene freie Speicherplatz auf den Indexseiten reserviert. Ein höherer Prozentsatz bedeutet, dass mehr freier Speicherplatz auf den Indexseiten reserviert wird und der Index entsprechend wachsen kann. Gültige Werte sind 1 bis 100.
Statistik für den Abfrageoptimierer aktualisieren | Bewirkt, dass die Verteilungsstatistik jedes für Benutzertabellen in der Datenbank erstellten Indexes mithilfe einer neuen Stichprobe neu erstellt wird. Verteilungsstatistiken werden von Microsoft® SQL Server™ verwendet, um die Tabellennavigation während der Verarbeitung von Transact-SQL-Anweisungen zu optimieren. Um die Verteilungsstatistiken automatisch zu erstellen, testet SQL Server für jeden Index in regelmäßigen Abständen einen Prozentsatz der Daten in der entsprechenden Tabelle. Dieser Prozentsatz basiert auf der Anzahl der Zeilen in der Tabelle und der Häufigkeit der an den Daten vorgenommenen Änderungen. Verwenden Sie diese Option, um einen zusätzlichen Test unter Verwendung des angegebenen Prozentsatzes der Tabellendaten durchzuführen.
Zu testender Prozentsatz der Datenbank | Bewirkt, dass ein bestimmter Prozentsatz der Daten in den Tabellen getestet wird, um eine Verteilungsstatistik zu erstellen. Wird ein hoher Prozentsatz festgelegt, erhalten Sie eine genauere Statistik; das Testen nimmt jedoch dementsprechend mehr Zeit in Anspruch. Reicht der angegebene Wert nicht aus, bestimmt SQL Server automatisch eine geeignete Testgröße. Gültige Werte sind 1 bis 100.
Nicht verwendeten Speicherplatz aus Datenbankdatei entfernen | Entfernt nicht verwendeten Speicher aus der Datenbank, so dass die Größe der Datendateien reduziert werden kann.
Datenbank verkleinern, wenn ihre Größe diesen Wert überschreitet | Entfernt nicht verwendeten Speicher nur dann aus der Datenbank, wenn diese eine bestimmte Größe (in MB) überschreitet.
Menge des freien Speichers, der nach der Verkleinerung verbleiben soll | Legt die Menge des nicht verwendeten Speichers fest, der in der Datenbank verbleiben soll, nachdem diese verkleinert wurde (je höher der Prozentsatz, desto geringer der Spielraum für die Verkleinerung der Datenbank). Der Wert basiert auf dem Prozentsatz der tatsächlichen Daten in der Datenbank. Für eine Datenbank mit 100 MB, die 60 MB Daten und 40 MB freien Speicherplatz enthält und für die ein Prozentsatz von 50 % freier Speicherplatz festgelegt wurde, würden sich beispielsweise 60 MB Daten und 30 MB freier Speicherplatz ergeben (denn 50 % von 60 MB sind 30 MB). Es wird lediglich überschüssiger Speicher in der Datenbank entfernt. Gültige Werte sind 1 bis 100.
Terminplan | Legt die Häufigkeit fest, mit der Datenoptimierungstasks ausgeführt werden (der Terminplan wird mithilfe des SQL Server-Agenten erstellt). Standardmäßig wird die Sicherung sonntags um Mitternacht durchgeführt.
Ändern | Ändert den Standardterminplan.


Datenbankwartungsplan (Registerkarte „Bericht erstellen“)

Sie können einen Bericht zu den von Microsoft® SQL Server™ durchgeführten Wartungsaktivitäten in einer Datei speichern oder in eine Tabelle schreiben. In der folgenden Tabelle werden die auf der Registerkarte Bericht erstellen des Dialogfeldes Datenbankwartungsplan zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Bericht in Textdatei in folgendes Verzeichnis schreiben | Gibt den vollständigen Pfad und Namen der Textdatei an, in der der Bericht erstellt werden soll. Der Bericht enthält Informationen, einschließlich Fehlerinformationen, zu den im Rahmen des Wartungsplanes ausgeführten Schritten. Der Bericht verwaltet Versionsinformationen, indem er das Datum zum Dateinamen hinzufügt. Das Datum wird als Suffix des Dateinamens in der Form _JJJJMMTTHHMM erstellt; es wird vor der Dateinamenerweiterung eingefügt. Zum Beispiel: "DB Maintenance Plan10_199804090838.txt"
(…) (Textdatei) | Ändert das Standardverzeichnis für die Textdatei. Das Verzeichnis muss sich auf dem Computer mit SQL Server befinden, auf dem der Wartungsplan ausgeführt wird.
Textberichtsdateien löschen, die älter sind als | Löscht automatisch Textberichtsdateien, die ein bestimmtes Alter überschritten haben. Es empfiehlt sich, eine Chronik mit Textberichtsdateien anzulegen, damit Sie nachvollziehen können, welche Wartungstasks durchgeführt wurden. Die Chronik sollte entsprechend den jeweiligen Unternehmensabläufen so weit zurückgehen, wie Daten überprüft werden müssen.
E-Mail-Bericht an Operator senden | Gibt den Operator an, an den der erstellte Bericht über SQL Mail gesendet werden soll.
(…) (Operator) | Erstellt einen neuen Operator mithilfe von SQL Server Enterprise Manager.
Neu | Erstellt einen neuen Operator.
Chronik in die Tabelle msdb.dbo.sysdbmaintplan_history schreiben | Schreibt den Bericht als Zeilen in diese Tabelle, die sich auf dem Server befindet, auf dem der Wartungsplan ausgeführt wurde. Der Bericht enthält die im Rahmen des Wartungsplanes durchgeführten Schritte, einschließlich Datenbankname, Aktivität, Datum, Ergebnis (Erfolg oder Fehler) sowie gegebenenfalls Fehlerinformationen, wobei für jede Aktivität pro Datenbank und Ausführungsdatum eine Zeile zur Verfügung steht.
Chronik anzeigen (lokaler Server) | Zeigt die Chronik des Datenbankwartungsplanes auf dem lokalen Server an.
Zeilen in der Tabelle begrenzen auf | Legt die maximale Anzahl der Zeilen in der Tabelle fest, die nur für die Chronik dieses Planes zur Verfügung stehen. Übersteigt die Anzahl der in der Tabelle für die Chronik dieses Planes verwendeten Zeilen diesen Wert, werden ältere Zeilen für diesen Plan (die die früheste Chronik darstellen) gelöscht. Durch die Festlegung dieses Wertes wird verhindert, dass die Tabelle zu umfangreich und die msdb-Datenbank gefüllt wird (wenn die automatische Vergrößerung nicht zulässig ist). Der Standardwert lautet 100.
Chronik in die Tabelle auf folgendem Server schreiben | Schreibt den Bericht als Zeilen in die msdb.dbo.sysdbmaintplan_history-Tabelle auf einem Remoteserver. Bei der Herstellung einer Verbindung zu dem Remoteserver wird die Windows NT-Authentifizierung verwendet. Der Bericht enthält die im Rahmen des Wartungsplanes durchgeführten Schritte, einschließlich Datenbankname, Aktivität, Datum, Ergebnis (Erfolg oder Fehler) sowie gegebenenfalls Fehlerinformationen, wobei für jede Aktivität pro Datenbank und Ausführungsdatum eine Zeile zur Verfügung steht.
(...) | Wählt aus der Liste mit aktiven Servern im Netzwerk einen Server aus.
Chronik anzeigen (Remoteserver) | Zeigt die Chronik des Datenbankwartungsplanes auf dem Remoteserver an.
Zeilen in der Tabelle begrenzen auf | Legt die maximale Anzahl der Zeilen in der Tabelle fest, die nur für die Chronik dieses Planes zur Verfügung stehen. Übersteigt die Anzahl der in der Tabelle für die Chronik dieses Planes verwendeten Zeilen diesen Wert, werden ältere Zeilen für diesen Plan (die die früheste Chronik darstellen) gelöscht. Durch die Festlegung dieses Wertes wird verhindert, dass die Tabelle zu umfangreich und die msdb-Datenbank gefüllt wird (wenn die automatische Vergrößerung nicht zulässig ist). Der Standardwert lautet 10000.


Datenbankwartungsplan (Registerkarte „Sicherung des Transaktionsprotokolls“)

Sie sollten in regelmäßigen Abständen Sicherungskopien des Transaktionsprotokolls anlegen, um im Fall eines Systemausfalls Datenverluste zu verhindern. In der folgenden Tabelle werden die auf der Registerkarte Sicherung des Transaktionsprotokolls des Dialogfeldes Datenbankwartungsplan zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Transaktionsprotokoll als Teil des Wartungsplans sichern | Bewirkt, dass das Transaktionsprotokoll im Rahmen der Wartungstasks gesichert wird. Eine Sicherung des Transaktionsprotokolls ist wichtig, falls eine bestimmte Version der Datenbank wiederhergestellt werden muss.
Integrität der Sicherung nach Beendigung überprüfen | Überprüft, ob der Sicherungssatz vollständig ist und auf alle Datenträger zugegriffen werden kann. Zu diesem Zweck wird die Transact-SQL-Anweisung RESTORE VERIFYONLY ausgeführt.
Band | Sichert das Transaktionsprotokoll auf dem angegebenen Bandmedium. Das Bandmedium ist mit dem Computer verbunden, der das zu sichernde Microsoft® SQL Server™-Transaktionsprotokoll enthält.
Festplatte | Sichert das Transaktionsprotokoll auf der Festplatte, die sich auf dem Computer mit dem zu sichernden SQL Server-Transaktionsprotokoll befindet.
Standardsicherungsverzeichnis verwenden | Sichert das Transaktionsprotokoll im Festplattenverzeichnis \Mssql7\Backup, das sich auf dem Computer mit der SQL Server-Datenbank befindet, für die die Sicherung durchgeführt wird.
Dieses Verzeichnis verwenden | Sichert das Transaktionsprotokoll in dem angegebenen Festplattenverzeichnis, das sich auf dem Computer mit der SQL Server-Datenbank befindet, für die die Sicherung durchgeführt wird.
(...) | Ändert das standardmäßig für die Sicherung des Transaktionsprotokolls verwendete Festplattenverzeichnis. Es können ausschließlich Laufwerke ausgewählt werden, die sich auf dem Computer mit der zu sichernden SQL Server-Datenbank befinden.
Unterverzeichnis für jede Datenbank erstellen | Erstellt in dem angegebenen Festplattenverzeichnis ein Unterverzeichnis, das die Transaktionsprotokollsicherung für jede im Rahmen des Wartungsplanes gesicherte Datenbank enthält.
Dateien entfernen, wenn älter als | Löscht automatisch Transaktionsprotokollsicherungen, die ein bestimmtes Alter überschritten haben. Es empfiehlt sich, eine Sicherungschronik anzulegen, damit frühere Versionen der Datenbank wiederhergestellt werden können, die weiter zurückliegen als die zuletzt durchgeführte Sicherung. Bewahren Sie so viele Sicherungen auf, wie der Festplattenspeicher zulässt. Wie weit die Sicherungen zurückgehen, hängt von der Notwendigkeit zur Wiederherstellung früherer Versionen sowie von den jeweiligen Unternehmensabläufen ab.
Sicherungsdateierweiterung | Legt die Dateinamenerweiterung für alle Dateien fest, die eine Transaktionsprotokollsicherung enthalten. Standardmäßig wird die Dateinamenerweiterung .trn verwendet.
Terminplan | Legt die Häufigkeit fest, mit der Sicherungstasks für das Transaktionsprotokoll ausgeführt werden (der Terminplan wird mithilfe des SQL Server-Agenten erstellt). Standardmäßig wird die Sicherung täglich, außer sonntags, um Mitternacht durchgeführt.
Ändern | Ändert den Standardterminplan.


Datenbankwartungsplan - Chronik

Sie können eine Chronik der Datenbankwartungspläne anzeigen, die erfolgreich durchgeführt wurden bzw. deren Durchführung fehlgeschlagen ist. Standardmäßig wird die Chronik aller Pläne angezeigt. Um eine Teilmenge der Pläne anzuzeigen, legen Sie die Kriterien für die anzuzeigenden Pläne fest. Die Chronik für einen Plan wird nur angezeigt, wenn der Plan allen angegebenen Kriterien entspricht. Die folgenden Informationen werden in der Chronik für einen Plan angezeigt: Wartungsplan, Datenbank, Server, Aktivität, Status, Anfangsdatum, Enddatum und Meldung.

In der folgenden Tabelle werden die im Dialogfeld Datenbankwartungsplan - Chronik zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet. Die Chronik für einen Plan wird nur angezeigt, wenn der Plan allen angegebenen Kriterien entspricht.

Option | Zweck
Planname | Zeigt die Chronik für den angegebenen Datenbankwartungsplan an.
Servername | Zeigt die Chronik für Pläne an, die sich auf dem angegebenen Server befinden.
Datenbank | Zeigt die Chronik für Pläne an, die der angegebenen Datenbank entsprechen.
Status | Zeigt die Chronik für Pläne mit dem angegebenen Status an: Erfolgreich beendet oder Fehlgeschlagen. Wenn Sie auf Fehlgeschlagen geklickt haben, geben Sie im Feld Schlüsselwörter in Meldung Schlüsselwörter ein, um die angezeigten Chroniken weiter einzuschränken.
Aktivität | Zeigt die Chronik für Pläne nach Aktivität an: Optimierungen, Integritätsprüfungen, Datenbanksicherungen, Sicherung des Transaktionsprotokolls.
Schlüsselwörter in Meldung | Zeigt entweder eine Chronik fehlgeschlagener Pläne, die die angegebenen Wörter in der Fehlermeldung enthalten, oder eine Chronik erfolgreicher Sicherungsaufträge an.
Filter automatisch anwenden | Wendet die Gruppe der Kriterien auf den gesamten Satz von Datenbankplänen an, wenn eine der Filtereinstellungen geändert wird. Deaktivieren Sie diese Option, bis Sie alle Filterkriterien zu Ihrer Zufriedenheit festgelegt haben. Diese Option ist standardmäßig aktiviert.
Eigenschaften | Zeigt Informationen zum ausgewählten Datenbankwartungsplan an.
Löschen | Löscht die ausgewählte Wartungsplanchronik.
Aktualisieren | Aktualisiert das Dialogfeld Datenbankwartungsplan - Chronik mit den aktuellen Daten.


Objekte löschen

In der folgenden Tabelle werden die im Dialogfeld Objekte löschen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Objekt | Zeigt das zu löschende Objekt an.
Besitzer | Zeigt den Besitzer des zu löschenden Objekts an.
Typ | Zeigt den Typ des zu löschenden Objekts an.
Alle löschen | Löscht alle ausgewählten Objekte.
Abhängigkeiten anzeigen | Zeigt die Abhängigkeiten des zum Löschen ausgewählten Objekts an.


Standardeigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Standardeigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen des Standards an.
Wert | Gibt den Wert des Standards an.
UDTs binden | Bindet den Standard an einen benutzerdefinierten Datentyp.
Spalten binden | Bindet den Standard an eine Spalte.


Datenbankrolle - Eigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Datenbankrolle - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen der Datenbankrolle an.
Berechtigungen | Zeigt das Dialogfeld Datenbankbenutzer - Eigenschaften an.
Standardrolle | Gibt an, dass es sich bei der Datenbankrolle um die Standardrolle handelt, und listet die Mitglieder auf.
Hinzufügen | Fügt Benutzer zur Datenbankrolle hinzu.
Entfernen | Entfernt Benutzer aus der Datenbankrolle.
Anwendungsrolle | Gibt an, dass es sich bei der Datenbankrolle um eine Anwendungsrolle handelt, für die ein Kennwort erforderlich ist.
Kennwort | Gibt das Kennwort für die Anwendungsrolle an.


Datenbankbenutzer - Eigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Datenbankbenutzer - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Benutzername | Gibt den Benutzernamen des Datenbankbenutzers an.
DB-Benutzername | Gibt den DB-Benutzernamen des Datenbankbenutzers an.
Berechtigungen | Fügt Berechtigungen auf der Registerkarte Berechtigungen hinzu bzw. entfernt sie.
In Datenbankrolle zulassen | Legt fest, welcher Datenbankrolle der Benutzer angehört.
Eigenschaften | Zeigt das Dialogfeld Datenbankrolle - Eigenschaften an.


Datenbankbenutzer - Eigenschaften (Registerkarte „Berechtigungen“)

In der folgenden Tabelle werden die auf der Registerkarte Berechtigungen des Dialogfeldes Datenbankbenutzer - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet. Ein schwarzes Häkchen gibt an, dass die Berechtigung erteilt wurde. Ein rotes X gibt an, dass die Berechtigung verweigert wurde.

Option | Zweck
Datenbankbenutzer | Gibt den Benutzer an, dessen Berechtigungen angezeigt werden.
Alle Objekte auflisten | Listet alle Objekte für die ausgewählte Datenbank auf.
Nur Objekte mit Berechtigungen für diesen Benutzer auflisten | Listet nur Objekte auf, für die der Benutzer über Berechtigungen verfügt.


Thema in Hilfe nicht verfügbar

Dieses Thema steht nur in der SQL Server-Onlinedokumentation zur Verfügung.


Schriftart

In der folgenden Tabelle werden die auf der Registerkarte Format des Dialogfeldes Schriftart zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Text | Legt das Format von alphabetischem Text fest.
Textauswahl | Legt das Format von Text bei der Auswahl fest.
Schlüsselwort | Legt das Format von Transact-SQL-Schlüsselwörtern fest.
Gespeicherte Prozedur | Gibt das Format von gespeicherten Prozeduren an.
Systemtabelle | Gibt das Format von Systemtabellen an.
Globale Variable | Gibt das Format von globalen Variablen an.
Kommentar | Legt das Format von Kommentaren innerhalb eines Transact-SQL-Skripts fest.
Anzahl | Legt das Format von numerischem Text fest.
Zeichenfolge | Legt das Format von in einfachen Anführungszeichen eingeschlossenem alphanumerischen Text fest.
Operator | Legt das Format von Symbolen fest, die zur Durchführung mathematischer Berechnungen und Vergleiche zwischen Spalten und Variablen verwendet werden. Man unterscheidet arithmetische, Bit-, Vergleichs- und Verknüpfungsoperatoren.
Vordergrund | Legt die Vordergrundfarbe für den im Feld Farbe ausgewählten Inhaltstyp fest.
Hintergrund | Legt die Hintergrundfarbe für den im Feld Farbe ausgewählten Inhaltstyp fest.
Schriftart | Legt die Schriftart für den im Feld Farbe ausgewählten Inhaltstyp fest.
Größe | Legt die Punktgröße für den im Feld Farbe ausgewählten Inhaltstyp fest.
Beispiel | Zeigt die Abfragezeichen im ausgewählten Format an.
Alles zurücksetzen | Setzt alle Optionen auf ihre ursprünglichen Standardwerte zurück.


Terminplan für wiederkehrende Aufträge bearbeiten

In der Tabelle werden die im Dialogfeld Terminplan für wiederkehrende Aufträge bearbeiten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Auftragsname | Zeigt den Namen des Auftrags an, für den ein Wiederholungsterminplan eingerichtet werden soll.
Täglich | Auftrag wird täglich ausgeführt.
Wöchentlich | Auftrag wird wöchentlich ausgeführt.
Monatlich | Auftrag wird monatlich ausgeführt.
Alle x Woche(n) am: | Gibt die Auftragshäufigkeit in Wochenschritten an.
Mo | Auftrag wird an einem Montag ausgeführt.
Di | Auftrag wird an einem Dienstag ausgeführt.
Mi | Auftrag wird an einem Mittwoch ausgeführt.
Do | Auftrag wird an einem Donnerstag ausgeführt.
Fr | Auftrag wird an einem Freitag ausgeführt.
Sa | Auftrag wird an einem Samstag ausgeführt.
So | Auftrag wird an einem Sonntag ausgeführt.
Einmalig um | Legt die Uhrzeit für einen einmal täglich auszuführenden Auftrag fest.
Jede | Legt die Anzahl der Stunden und Minuten zwischen den Ausführungen fest.
Startet um | Legt fest, wann die Ausführungen des Auftrags täglich beginnen.
Endet um | Legt fest, wann die Ausführungen des Auftrags täglich enden.
Anfangsdatum | Legt das Datum fest, von dem an dieser Terminplan gültig ist.
Enddatum | Legt das Datum fest, ab dem dieser Terminplan nicht mehr gültig ist.
Kein Enddatum | Legt fest, dass der Terminplan unbegrenzt gültig ist.


Registrierte Server in diesen MSX eintragen

In der folgenden Tabelle werden die im Dialogfeld Registrierte Server in diesen MSX eintragen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Servername | Gibt den Namen eines registrierten Servers an, der jedoch nicht als Zielserver für diesen Masterserver eingetragen ist. Nur Computer mit SQL Server, Version 7.0, mit Microsoft® Windows NT® werden angezeigt.
Bekannte Anmeldeinformationen? | Gibt an, ob die Registrierungsinformationen für den Server Verbindungsinformationen enthalten. Sind keine Verbindungsinformationen vorhanden, müssen Sie diese angeben, um den Server eintragen zu können.
Eigenschaften | Zeigt die dem ausgewählten Server zugeordneten Eigenschaften an.
Eintragen | Trägt alle markierten Server auf dem Masterserver ein.


Eigenschaften von erweiterten gespeicherten Prozeduren (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von erweiterten gespeicherten Prozeduren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen der erweiterten gespeicherten Prozedur an.
Berechtigungen | Gibt die Berechtigungen für die erweiterte gespeicherte Prozedur an.
Pfad | Gibt den Pfad für die erweiterte gespeicherte Prozedur an.
(...) | Sucht nach der erweiterten gespeicherten Prozedur.


Externe Tools

In der folgenden Tabelle werden die im Dialogfeld Externe Tools zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet. Sie können dieses Dialogfeld verwenden, um den Zugriff auf Tools wie z. B. den Systemmonitor zu vereinfachen.

Option | Zweck
Hinzufügen | Zeigt das Dialogfeld an, mit dem Sie ein externes Tool zur Liste der aktuellen Tools hinzufügen können.
Ändern | Übernimmt die Änderungen, die Sie in Menütext, Befehl und Parameter für das ausgewählte aktuelle Tool vorgenommenen haben.
Entfernen | Entfernt das ausgewählte aktuelle Tool.
Menütext | Gibt eine Textbeschreibung des Tools an, das in die Liste der aktuellen Tools und in das Menü Extras aufgenommen werden soll.
Befehl | Gibt den vollgekennzeichneten Pfad des externen Tools an, den ausführbaren Dateinamen des Tools eingeschlossen.
Parameter | Gibt die Parameter an, mit denen das externe Tool gestartet werden soll. Die Platzhalter [SRV] und [DBN] können als Ersetzungsparameter hinzugefügt werden, um abhängig vom aktuellen Server- und Datenbankkontext im linken oder rechten Bereich ersetzt zu werden.


SQL-Skript generieren

In der folgenden Tabelle werden die im Dialogfeld SQL-Skript generieren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Dateiname | Gibt den Dateinamen für das SQL-Skript an.
(...) | Wählt den Dateinamen aus, unter dem das SQL-Skript gespeichert werden soll.
MS-DOS-Text (OEM) | Speichert das Transact-SQL-Skript im Format der aktuellen Microsoft® Windows®-Systemcodepage. Verwenden Sie diese Option, wenn das Skript in einem Stapelvorgang verwendet und an der Befehlszeile ausgeführt werden soll.
Windows-Text (ANSI) | Speichert das Transact-SQL-Skript im ANSI-Format, wenn es in Query Analyzer oder einer anderen Windows-Anwendung verwendet werden soll.
Internationaler Text (Unicode) | Speichert das Transact-SQL-Skript im Unicodeformat, wenn das Skript spezielle internationale Zeichen enthält, die nur von der Unicodeschriftart unterstützt werden. Dieses Format benötigt doppelt so viel Speicherplatz wie die aktuelle Windows-Codepage oder ANSI.
Warnung ersetzen, falls vorhanden | Gibt an, dass Skriptcode erstellt werden soll, der die Warnung ersetzt, falls diese bereits vorhanden ist.
An Operator zu sendende Warnbenachrichtigung einschließen | Schließt im Skript die von der Warnung an den Operator gesendeten Benachrichtigungen ein.
Namen des durch die Warnung ausgeführten Auftrags einschließen | Schließt im Skript den Namen des durch die Warnung ausgeführten Auftrags ein.
TSQL-Stapeltrennzeichen | Gibt das Wort an, mit dem TSQL-Befehlsstapel im Skript voneinander getrennt werden.


SQL-Skripts generieren (Registerkarte „Formatierung“)

Sie können Transact-SQL-Anweisungen generieren, um die von Ihnen erstellen Datenbankobjekte zu formatieren. Dies ist hilfreich, wenn Sie ein vorhandenes Objekt in einer Datenbank löschen und es mit dem Schema eines ähnlichen Objekts aus einer anderen Datenbank neu erstellen möchten.

In der folgenden Tabelle werden die auf der Registerkarte Formatierung des Dialogfeldes SQL-Skripts generieren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
CREATE <Objekt>-Befehl für jedes Objekt generieren | Generiert eine Transact-SQL-Anweisung, um alle auf der Registerkarte Allgemein ausgewählten Objekte zu erstellen.
DROP <Objekt>-Befehl für jedes Objekt generieren | Generiert eine Transact-SQL-Anweisung, um alle auf der Registerkarte Allgemein ausgewählten Objekte zu löschen.
Skripts für alle abhängigen Objekte generieren | Generiert eine Transact-SQL-Anweisung, um abhängige Objekte für alle auf der Registerkarte Allgemein ausgewählten Objekte hinzuzufügen.
Beschreibende Header in Skriptdateien einschließen | Schließt einen erklärenden Headertext ein, der jeder Transact-SQL-Anweisung im Skript vorangestellt wird.
Skriptvorlage | Zeigt die Transact-SQL-Skriptvorlage an, die sich aus den auf dieser Registerkarte ausgewählten Optionen ergibt.


SQL-Skripts generieren (Registerkarte „Allgemein“)

Sie können Transact-SQL-Anweisungen generieren, um Objekte zu erstellen, die mit den aktuell in der Datenbank vorhandenen Objekten identisch sind. Dies ist hilfreich, wenn Objekte auf anderen Servern erstellt werden sollen, die über dasselbe Schema verfügen sollen wie die Objekte in der ursprünglichen Datenbank.

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes SQL-Skripts generieren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Vorschau | Zeigt eine Vorschau des Transact-SQL-Skripts an, das anhand der ausgewählten Optionen erstellt wird.
Alle Objekte für Skripterstellung | Schließt alle Datenbankobjekte in das Transact-SQL-Skript ein.
Alle Tabellen | Schließt alle Datenbanktabellen in das Transact-SQL-Skript ein.
Alle Sichten | Schließt alle Datenbanksichten in das Transact-SQL-Skript ein.
Alle gespeicherten Prozeduren | Schließt alle gespeicherten Prozeduren für die Datenbank in das Transact-SQL-Skript ein.
Alle Standardwerte | Schließt alle Standardwerte für die Datenbank in das Transact-SQL-Skript ein.
Alle Regeln | Schließt alle Datenbankregeln in das Transact-SQL-Skript ein.
Alle benutzerdefinierten Datentypen | Schließt alle benutzerdefinierten Datentypen für die Datenbank in das Transact-SQL-Skript ein.
Objekte auf | Zeigt eine Liste mit Objekten in der Datenbank an, die nicht im Transact-SQL-Skript enthalten sind.
Objekte für die Skripterstellung | Zeigt eine Liste mit Objekten in der Datenbank an, die im Transact-SQL-Skript enthalten sind.
Hinzufügen | Fügt zum Transact-SQL-Skript Datenbankobjekte hinzu.
Entfernen | Entfernt Datenbankobjekte aus dem Transact-SQL-Skript.


SQL-Skript generieren

In der folgenden Tabelle werden die im Dialogfeld SQL-Skript generieren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Dateiname | Gibt den Dateinamen für das SQL-Skript an.
(...) | Wählt den Dateinamen aus, unter dem das SQL-Skript gespeichert werden soll.
MS-DOS-Text (OEM) | Speichert das Transact-SQL-Skript im Format der aktuellen Microsoft® Windows®-Systemcodepage. Verwenden Sie diese Option, wenn das Skript in einem Stapelvorgang verwendet und an der Befehlszeile ausgeführt werden soll.
Windows-Text (ANSI) | Speichert das Transact-SQL-Skript im ANSI-Format, wenn es in Query Analyzer oder einer anderen Windows-Anwendung verwendet werden soll.
Internationaler Text (Unicode) | Speichert das Transact-SQL-Skript im Unicodeformat, wenn das Skript spezielle internationale Zeichen enthält, die nur von der Unicodeschriftart unterstützt werden. Dieses Format benötigt doppelt so viel Speicherplatz wie die aktuelle Windows-Codepage oder ANSI.
Auftrag ersetzen, falls vorhanden | Gibt an, dass Skriptcode erstellt werden soll, der den Auftrag ersetzt, falls dieser bereits vorhanden ist.
TSQL-Stapeltrennzeichen | Gibt das Wort an, mit dem TSQL-Befehlsstapel im Skript voneinander getrennt werden. Dies ist hilfreich, wenn TSQL-Auftragsschritte bereits GO als Befehlstrennwort enthalten.


SQL-Skript generieren

In der folgenden Tabelle werden die im Dialogfeld SQL-Skript generieren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Dateiname | Gibt den Dateinamen für das SQL-Skript an.
(...) | Wählt den Dateinamen aus, unter dem das SQL-Skript gespeichert werden soll.
MS-DOS-Text (OEM) | Speichert das Transact-SQL-Skript im Format der aktuellen Microsoft® Windows®-Systemcodepage. Verwenden Sie diese Option, wenn das Skript in einem Stapelvorgang verwendet und an der Befehlszeile ausgeführt werden soll.
Windows-Text (ANSI) | Speichert das Transact-SQL-Skript im ANSI-Format, wenn es in Query Analyzer oder einer anderen Windows-Anwendung verwendet werden soll.
Internationaler Text (Unicode) | Speichert das Transact-SQL-Skript im Unicodeformat, wenn das Skript spezielle internationale Zeichen enthält, die nur von der Unicodeschriftart unterstützt werden. Dieses Format benötigt doppelt so viel Speicherplatz wie die aktuelle Windows-Codepage oder ANSI.
Operator ersetzen, falls vorhanden | Gibt an, dass Skriptcode erstellt werden soll, der den Operator ersetzt, falls dieser bereits vorhanden ist.
An Operator zu sendende Warnbenachrichtigung einschließen | Schließt im Skript die von Warnungen an den Operator gesendeten Benachrichtigungen ein.
TSQL-Stapeltrennzeichen | Gibt das Wort an, mit dem TSQL-Befehlsstapel im Skript voneinander getrennt werden.


SQL-Skripts generieren (Registerkarte „Optionen“)

Sie können Transact-SQL-Anweisungen generieren, um die Erstellung von Objekten in der Datenbank genauer zu definieren. Sie können Optionen zur Sicherheit, Tabellenerstellung und Dateispeicherung festlegen.

In der folgenden Tabelle werden die auf der Registerkarte Optionen des Dialogfeldes SQL-Skripts generieren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Skript für Datenbankbenutzer und Datenbankrollen | Generiert eine Transact-SQL-Anweisung, um alle Benutzer und Rollen zu erstellen, die gegenwärtig Zugriff auf die Datenbank haben.
Skript für SQL Server-Benutzernamen (Windows NT- und SQL Server-Benutzernamen) | Generiert eine Transact-SQL-Anweisung, um alle Benutzernamen zu erstellen, die gegenwärtig Zugriff auf den Server haben.
Skript für Berechtigungen auf Objektebene | Generiert eine Transact-SQL-Anweisung, um sämtliche erteilten, aufgehobenen und verweigerten Berechtigungen für alle auf der Registerkarte Allgemein ausgewählten Objekte zu erstellen.
Skript für Indizes | Generiert eine Transact-SQL-Anweisung, um Indizes für sämtliche ausgewählten Tabellen zu erstellen. Diese Option ist nur dann sinnvoll, wenn auf der Registerkarte Allgemein eine oder mehrere Tabellen ausgewählt wurden.
Skript für Volltextindizes | Generiert eine Transact-SQL-Anweisung, um Volltextindizes zu erstellen. Diese Option ist nur dann sinnvoll, wenn auf der Registerkarte Allgemein eine oder mehrere Tabellen ausgewählt wurden.
Skript für Trigger | Generiert eine Transact-SQL-Anweisung, um Trigger für sämtliche ausgewählten Tabellen zu erstellen. Diese Option ist nur dann sinnvoll, wenn auf der Registerkarte Allgemein eine oder mehrere Tabellen ausgewählt wurden.
Skript für Primärschlüssel, Fremdschlüssel, Standards und CHECK-Einschränkungen | Generiert eine Transact-SQL-Anweisung, um Primärschlüssel, Fremdschlüssel, Standards und CHECK-Einschränkungen für alle ausgewählten Tabellen zu erstellen. Diese Option ist nur dann sinnvoll, wenn auf der Registerkarte Allgemein eine oder mehrere Tabellen ausgewählt wurden.
MS-DOS-Text (OEM) | Speichert das Transact-SQL-Skript im Format der aktuellen Microsoft® Windows®-Systemcodepage. Verwenden Sie diese Option, wenn das Skript in einem Stapelvorgang verwendet und mithilfe einer Konsolenanwendung wie Isql.exe von einer Befehlszeile aus ausgeführt werden soll.
Windows-Text (ANSI) | Speichert das Transact-SQL-Skript im ANSI-Format, wenn es in Query Analyzer oder einer anderen Windows-Anwendung verwendet werden soll.
Internationaler Text (Unicode) | Speichert das Transact-SQL-Skript im Unicodeformat, wenn das Skript spezielle internationale Zeichen enthält, die nur von der Unicodeschriftart unterstützt werden. Dieses Format benötigt doppelt soviel Speicher wie die aktuelle Windows-Codepage oder ANSI.
Eine Datei erstellen | Speichert eine Datei, die alle Transact-SQL-Anweisungen für sämtliche ausgewählten Objekte enthält.
Eine Datei pro Objekt erstellen | Speichert eine eigene Datei für jedes ausgewählte Objekt.


Eigenschaften für Auftragskategorie (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften für Auftragskategorie zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der jeweiligen Auftragskategorie an. Falls Sie eine neue Auftragskategorie erstellen, geben Sie einen Namen ein.
Alle Aufträge anzeigen | Zeigt alle definierten Aufträge an, auch wenn diese nicht der Auftragskategorie angehören. Auf diese Weise kann die Mitgliedschaft in einer Auftragskategorie geändert werden.
Auftrag | Zeigt den Namen des Auftrags an.


Verbindungsserver - Eigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Verbindungsserver - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet. Weitere Informationen zum Einrichten eines Verbindungsservers für Datenquellen, auf die über OLE DB zugegriffen werden kann, finden Sie unter Datenquelle.

Option | Zweck
Verbindungsserver | Gibt den Namen des Verbindungsservers an.
SQL Server | Definiert einen Microsoft® SQL Server™-Verbindungsserver. Wenn Sie einen SQL Server-Verbindungsserver nach dieser Methode definieren, muss in Verbindungsserver der Netzwerkname des Servers angegeben sein. Alle vom Server abgerufenen Tabellen stammen aus der Standarddatenbank, die für den Benutzernamen auf dem Verbindungsserver definiert wurde.
Andere Datenquelle | Definiert einen Verbindungsserver über einen verfügbaren OLE DB-Provider, einschließlich SQL Server. Weitere Informationen zur Liste der OLE DB-Provider, die für die bei der Definition des Verbindungsservers verwendeten Parameterwerte getestet wurden, finden Sie unter Datenquelle. Wenn Sie einen SQL Server-Verbindungsserver nach dieser Methode definieren, müssen Sie die Providerinformationen angeben. Sie können in Verbindungsserver einen Serveralias definieren, wenn Sie in Datenquelle den Servernetzwerknamen angeben. Sie können auch eine Datenbank oder einen Katalog angeben, die bzw. der nicht der Standarddatenbank für den Benutzernamen auf dem Verbindungsserver entspricht.
Providername | Gibt den Namen des OLE DB-Providers an, der den Zugriff auf den angegebenen Verbindungsserver verwaltet.
Optionen | Listet verschiedene Attribute des Verbindungsservers auf.
Produktname | Gibt den Produktnamen der OLE DB-Datenquelle an, die als Verbindungsserver hinzugefügt werden soll.
Datenquelle | Gibt die Eigenschaft der OLE DB-Datenquelle an, die dem Verbindungsserver entspricht.
Providerzeichenfolge | Gibt die Eigenschaft der OLE DB-Providerzeichenfolge an, die dem Verbindungsserver entspricht.
Speicherort | Gibt die Eigenschaft des OLE DB-Speicherortes an, die dem Verbindungsserver entspricht.
Katalog | Gibt die Eigenschaft des OLE DB-Katalogs an, die dem Verbindungsserver entspricht.
Kompatibel zur Sortierreihenfolge | Ändert die Ausführung von verteilten Abfragen für Verbindungsserver. Wenn diese Option auf true eingestellt ist, geht Microsoft® SQL Server™ davon aus, dass alle Zeichen im Verbindungsserver mit dem lokalen Server bezüglich des Zeichensatzes und der Sortierreihenfolge (bzw. Unicode-Sortierreihenfolge) kompatibel sind. Dadurch kann SQL Server Vergleiche von Zeichenspalten an den Provider senden. Wenn diese Option nicht eingestellt ist, wertet SQL Server Vergleiche von Zeichenspalten stets lokal aus. Diese Option sollte nur eingestellt werden, wenn fest steht, dass die Datenquelle auf dem Verbindungsserver denselben Zeichensatz und dieselbe Sortierreihenfolge wie der lokale Server hat.
Datenzugriff | Aktiviert oder deaktiviert einen Verbindungsserver für den Zugriff durch verteilte Abfragen. Diese Option kann nur für sysserver-Einträge verwendet werden, die durch sp_addlinkedserver hinzugefügt wurden.
RPC | Aktiviert RPC vom Server aus.
RPC-Ausgabe | Aktiviert RPC zum Server.


Verbindungsserver - Eigenschaften (Registerkarte „Sicherheit“)

In der folgenden Tabelle werden die auf der Registerkarte Sicherheit des Dialogfeldes Verbindungsserver - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Keinen Sicherheitskontext verwenden | Legt fest, dass Benutzer, deren Namen nicht in der obigen Liste enthalten sind, keine Verbindung zum Verbindungsserver herstellen können.
Ihre Identität annehmen | Legt fest, dass für Benutzer, deren Namen nicht in der obigen Liste enthalten sind, der aktuelle Benutzername und das aktuelle Kennwort verwendet werden, um eine Verbindung zum Verbindungsserver herzustellen. Sind der Benutzername und das Kennwort auf dem Verbindungsserver nicht vorhanden, wird der Zugriff verweigert.
Zuordnen zu | Legt fest, dass alle Benutzer, deren Namen nicht in der obigen Liste enthalten sind, dem unten angegebenen Benutzernamen und Kennwort zugeordnet werden.
Remotebenutzer | Gibt den Remotebenutzernamen an, dem der lokale Benutzername zugeordnet ist. Sie können in diesem Feld nur dann einen Benutzernamen eingeben, wenn die Option Identität annehmen deaktiviert wurde.
mit Kennwort | Gibt das Remotekennwort an, das dem jeweiligen Remotebenutzer entspricht.
Ihnen wird der Zugriff verweigert | Legt fest, dass Benutzer mit Benutzernamen keinen Zugriff auf den Verbindungsserver erhalten sollen.
Lokaler Benutzername | Listet die lokalen Benutzernamen auf, die eine Verbindung zum Verbindungsserver herstellen können.
Identität annehmen | Legt fest, dass der lokale Benutzername bei der Herstellung einer Verbindung zum Verbindungsserver verwendet werden soll. Wählen Sie diese Option aus, wenn Sie sicher sind, dass der lokale Benutzername exakt mit einem Benutzernamen übereinstimmt, der über ausreichende Berechtigungen auf dem Verbindungsserver verfügt.
Remotebenutzer | Gibt den Remotebenutzer für die Zuordnung von Benutzern an, die nicht in der obigen Liste definiert wurden.
Remotekennwort | Gibt das Kennwort für die Zuordnung von Benutzern an, die nicht in der obigen Liste definiert wurden.


Multiserverauftrag - Ausführungsstatus

In der Tabelle werden die im Dialogfeld Multiserverauftrag - Ausführungsstatus zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Auftrag | Zeigt den Ausführungsstatus nach Auftrag an.
Server | Zeigt den Ausführungsstatus nach Server an.
Auftragsname | Gibt den Namen des anzuzeigenden Auftrags an, sofern Sie den Ausführungsstatus nach Auftrag anzeigen lassen.
Name | Zeigt den Namen des Servers an, sofern Sie den Ausführungsstatus nach Auftrag anzeigen lassen. Zeigt den Namen des Auftrags an, sofern Sie den Ausführungsstatus nach Server anzeigen lassen.
Letzter Ausführungszeitpunkt | Zeigt Startdatum und -uhrzeit der Auftragsausführung an, die zuletzt vom Zielserver für den ausgewählten Auftrag mittels Upload übertragen wurde. Die aktuellsten und umfassendsten Informationen über die Auftragsausführungschronik sind durch Anzeigen der Remoteauftragschronik verfügbar.
Letzter Ausführungsstatus | Zeigt den Auftragsergebnisstatus an, der zuletzt vom Zielserver für den ausgewählten Auftrag mittels Upload übertragen wurde. Die aktuellsten und umfassendsten Informationen über die Auftragsausführungschronik sind durch Anzeigen der Remoteauftragschronik verfügbar.
Letzte Ausführungsmeldung | Zeigt die Auftragsergebnismeldung an, die zuletzt vom Zielserver für den ausgewählten Auftrag mittels Upload übertragen wurde. Die aktuellsten und umfassendsten Informationen über die Auftragsausführungschronik sind durch Anzeigen der Remoteauftragschronik verfügbar.
Remoteauftragschronik anzeigen | Stellt eine Verbindung zum Zielserver her und zeigt Remoteinformationen zur Auftragschronik an.
Status des Zielservers | Zeigt den Status des Zielservers an.
Aufträge synchronisieren | Synchronisiert alle Multiserveraufträge auf dem Zielserver neu, wenn Sie den Ausführungsstatus nach Server anzeigen lassen. Wenn Sie den Ausführungsstatus nach Auftrag anzeigen lassen, wird der angegebene Auftrag auf allen Zielservern, auf denen er ausgeführt wird, neu synchronisiert.


SQL Server-Meldungen verwalten (Registerkarte „Meldungen“)

In der folgenden Tabelle werden die auf der Registerkarte Meldungen des Dialogfeldes SQL Server-Meldungen verwalten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Fehler | Zeigt die Fehlernummer der Meldung an.
Schweregrad | Zeigt den Schweregrad der Meldung an.
Sprache | Zeigt die Sprache der Meldung an.
Protokolliert | Gibt an, ob der Fehler immer in das Microsoft® Windows NT®-Anwendungsprotokoll geschrieben wird.
Meldungstext | Zeigt den Text der Fehlermeldung an.
Neu | Fügt eine neue Servermeldung hinzu.
Bearbeiten | Bearbeitet eine Servermeldung. Sie können auf eine Meldung auch doppelklicken, um diese zu bearbeiten.
Löschen | Löscht eine Servermeldung. Es können ausschließlich benutzerdefinierte Meldungen mit Nummern über 50.000 gelöscht werden.


SQL Server-Meldungen verwalten (Registerkarte „Suchen“)

In der Tabelle werden die auf der Registerkarte Suchen des Dialogfeldes SQL Server-Meldungen verwalten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Meldungstext enthält | Gibt den Text an, nach dem in den Meldungen gesucht werden soll.
Suchen | Sucht nach Meldungen, die den angegebenen Kriterien entsprechen.
Fehlernummer | Gibt die Fehlernummer an, nach der in den Meldungen gesucht werden soll.
Schweregrad | Gibt den Schweregrad an, nach dem in den Meldungen gesucht werden soll.
Nur protokollierte Meldungen einschließen | Schließt nur Meldungen ein, die immer in das Microsoft® Windows NT®-Anwendungsprotokoll geschrieben werden.
Nur benutzerdefinierte Meldungen einschließen | Schließt nur Meldungen ein, die von Benutzern erstellt wurden.


Warnung - Eigenschaften (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Warnung Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Legt den Namen der Warnung fest bzw. zeigt diesen an; es können maximal 128 Zeichen eingegeben werden.
ID | Zeigt die von Microsoft® SQL Server™ für die Warnung erstellte ID an. Bei Erstellen einer neuen Warnung wird Neu angezeigt.
Typ | Legt den Typ der Warnungsdefinition fest.
Aktiviert | Aktiviert die Warnung. Standardmäßig ist die Warnung aktiviert.
Fehlernr. | Legt die Fehlernummer fest, durch die die Warnung ausgelöst wird. Steht nur zur Verfügung, wenn eine SQL Server-Ereigniswarnung ausgewählt wurde.
(...) | Zeigt das Dialogfeld SQL Server-Meldungen verwalten an. Steht nur zur Verfügung, wenn eine SQL Server-Ereigniswarnung ausgewählt wurde.
Schweregrad | Legt den Schweregrad fest, durch den die Warnung ausgelöst wird. Steht nur zur Verfügung, wenn eine SQL Server-Ereigniswarnung ausgewählt wurde.
Datenbankname | Gibt die Datenbank an, in der der Fehler auftreten muss, damit die Warnung ausgelöst wird. Steht nur zur Verfügung, wenn eine SQL Server-Ereigniswarnung ausgewählt wurde.
Fehlermeldung enthält folgenden Text | Beschränkt die Warnung auf die Ereignisse, die den in der Fehlermeldung angegebenen Text enthalten. Steht nur zur Verfügung, wenn eine SQL Server-Ereigniswarnung ausgewählt wurde.
Zuletzt aufgetreten am | Zeigt das Datum und die Uhrzeit der letzten Warnung an.
Zuletzt beantwortet am | Zeigt das Datum und die Uhrzeit der letzten Antwort auf die Warnung an.
Aufgetreten | Zeigt die Anzahl der Warnungen an, die nach dem letzten Zurücksetzen des Zählers aufgetreten sind.
Zähler zurücksetzen | Setzt den Warnungszähler zurück.


Warnung - Eigenschaften (Registerkarte „Antwort“)

In der Tabelle werden die auf der Registerkarte Antwort des Dialogfeldes Warnung - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Auftrag ausführen | Gibt den bei Auftreten der Warnung auszuführenden Auftrag an.
(...) | Zeigt das Dialogfeld Auftrag - Eigenschaften an.
Neuer Operator | Öffnet das Dialogfeld Neuer Auftrag - Eigenschaften, in dem Sie einen Operator zum Beantworten der Warnung hinzufügen können.
Operatorname | Zeigt eine Liste der Operatoren an, die die Warnung beantworten.
E-Mail | Operator wird per E-Mail von der Warnung benachrichtigt. Ein Symbol rechts neben dem Kontrollkästchen gibt an, dass für den Operator eine E-Mail-Adresse definiert wurde.
Pager | Operator wird per Pager von der Warnung benachrichtigt. Ein Symbol rechts neben dem Kontrollkästchen gibt an, dass für den Operator eine Pageradresse definiert wurde.
NET SEND | Operator wird per NET SEND von der Warnung benachrichtigt. Ein Symbol rechts neben dem Kontrollkästchen gibt an, dass für den Operator eine NET SEND-Adresse definiert wurde.
Fehlermeldungstext einschließen in E-Mail | Schließt den Fehlermeldungstext in die E-Mail-Benachrichtigung ein.
Fehlermeldungstext einschließen in Pager | Schließt den Fehlermeldungstext in die Pagerbenachrichtigung ein.
Fehlermeldungstext einschließen in NET SEND | Schließt den Fehlermeldungstext in die NET SEND-Benachrichtigung ein.
An Operator zu sendende zusätzliche Warnbenachrichtigung | Gibt zusätzliche Warnbenachrichtigungen an, die an den Operator gesendet werden.
Antwortverzögerung | Gibt die Verzögerung (in Minuten und Sekunden) zwischen Antworten auf eine wiederholte Warnung an.


Auftrag - Eigenschaften (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Auftrag - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Legt den Namen des Auftrags fest; es können maximal 128 Zeichen eingegeben werden.
Quelle | Bei dem angezeigten Server handelt es sich um die Quelle des Auftrags. Standardmäßig wird der lokale Server angezeigt, d. h., der Auftrag wurde auf dem lokalen Computer mit SQL Server erstellt.
Erstellt | Zeigt das Erstellungsdatum des Auftrags an. Noch nicht erstellt wird angezeigt, wenn Sie einen neuen Auftrag erstellen.
Aktiviert | Aktiviert den Auftrag; standardmäßig ist der Auftrag aktiviert. Ein deaktivierter Auftrag wird nur ausgeführt, wenn er von einem Benutzer ausdrücklich gestartet wird.
Ziel: Lokaler Server | Definiert den Auftrag als einen lokalen Auftrag (der nur auf dem lokalen Server ausgeführt werden kann).
Ziel: mehrere Server | Definiert den Auftrag als einen Multiserverauftrag (der auf mehreren Remoteservern ausgeführt werden kann); diese Option ist nur auf dem Masterserver aktiviert.
Kategorie | Zeigt die Auftragskategorie an.
(...) | Zeigt die Eigenschaften der ausgewählten Auftragskategorie an.
Besitzer | Zeigt den Auftragsbesitzer an; diese Option ist aktiviert, wenn es sich bei dem Benutzer um den Systemadministrator handelt. Der Systemadministrator kann den Auftrag einem anderen Besitzer zuweisen.
Beschreibung | Bei der Beschreibung des Auftrags können bis zu 512 Zeichen verwendet werden.
Zuletzt geändert | Zeigt das Datum an, an dem der Auftrag zuletzt geändert wurde. Nicht anwendbar wird angezeigt, wenn Sie einen neuen Auftrag erstellen.
Ändern | Zeigt das Dialogfeld Zielserver für Auftrag wechseln an; diese Option steht nur für Multiserveraufträge zur Verfügung.


Auftrag - Eigenschaften (Registerkarte „Benachrichtigungen“)

In der Tabelle werden die auf der Registerkarte Benachrichtigungen des Dialogfeldes Auftrag - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
E-Mail-Operator | Gibt den Namen des Operators an, der bei Beendigung des Auftrags eine E-Mail-Benachrichtigung erhalten soll.
Pageroperator | Gibt den Namen des Operators an, der bei Beendigung des Auftrags eine Pagerbenachrichtigung erhalten soll.
NET SEND-Operator | Gibt den Namen des Operators an, der bei Beendigung des Auftrags eine NET SEND-Benachrichtigung erhalten soll.
(...) | Zeigt die Eigenschaften des E-Mail-, Pager- oder NET SEND-Operators an.
In Windows NT-Anwendungsereignisprotokoll schreiben | Schreibt bei Beendigung des Auftrags ein Auftragsbeendigungsereignis in das Microsoft® Windows NT®-Anwendungsprotokoll.
Auftrag automatisch löschen | Löscht den Auftrag automatisch, nachdem er beendet wurde.


Auftrag - Eigenschaften (Registerkarte „Terminpläne“)

In der Tabelle werden die auf der Registerkarte Terminpläne des Dialogfeldes Auftrag - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Hinweis | Zeigt das aktuelle Datum und die aktuelle Uhrzeit auf dem Zielserver an.
ID | Zeigt die ID der Warnung oder des Terminplanes an.
Name | Zeigt den Namen des Terminplanes oder der Warnung an.
Aktiviert | Zeigt für den ausgewählten Terminplan oder die ausgewählte Warnung den Status Aktiviert an.
Beschreibung | Zeigt die Beschreibung des Terminplanes oder der Warnung an.
Neuer Terminplan | Fügt einen neuen Terminplan hinzu.
Neue Warnung | Fügt eine neue Warnung hinzu; tritt die Warnung auf, wird dieser Auftrag ausgeführt.
Bearbeiten | Bearbeitet den Terminplan oder die Warnung, der oder die gegenwärtig ausgewählt ist.
Löschen | Löscht den Terminplan oder die Warnung, der oder die gegenwärtig ausgewählt ist.


Auftrag - Eigenschaften (Registerkarte „Schritte“)

In der Tabelle werden die auf der Registerkarte Schritte des Dialogfeldes Auftrag - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
ID | Zeigt die ID des Schrittes an.
Schrittname | Zeigt den Namen des Schrittes an.
Typ | Zeigt den Typ des Schrittes an.
Bei Erfolg | Zeigt die Ablaufsteuerungsaktion an, falls der Schritt erfolgreich ist.
Bei Fehler | Zeigt die Ablaufsteuerungsaktion an, falls der Schritt fehlschlägt.
Schritt verschieben | Ändert die Reihenfolge, in der die Schritte ausgeführt werden.
Schritt starten | Wählt den Schritt aus, mit dem die Ausführung des Auftrags beginnt.
Neu | Fügt einen neuen Schritt zum Auftrag hinzu. Der Schritt wird am Ende der Liste vorhandener Schritte eingefügt.
Einfügen | Fügt einen neuen Schritt in den Auftrag ein. Der Schritt wird über dem aktuell ausgewählten Schritt eingefügt.
Bearbeiten | Bearbeitet den aktuell ausgewählten Schritt.
Löschen | Löscht den aktuell ausgewählten Schritt.


Auftragsterminplan bearbeiten

In der Tabelle werden die im Dialogfeld Auftragsterminplan bearbeiten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Legt den Namen des Terminplanes fest; es können maximal 128 Zeichen eingegeben werden. In einem Auftrag darf jeder Terminplanname nur einmal vorhanden sein.
Aktiviert | Aktiviert oder deaktiviert den neuen Auftragsterminplan.
Automatisch starten, wenn der SQL Server-Agent startet | Startet den Auftrag automatisch, wenn der SQL Server-Agent gestartet wird.
Starten, sobald die CPU(s) im Leerlauf ist (sind) | Startet den Auftrag, wenn sich die CPU oder CPUs im Leerlauf befindet bzw. befinden. Die Leerlaufzeit der CPU können Sie der Registerkarte Erweitert des Dialogfeldes SQL Server-Agent-Eigenschaften entnehmen.
Einmal | Der Auftrag wird einmal an dem angegebenen Datum und zur angegebenen Uhrzeit gestartet.
Am (Datum) | Legt das Datum fest, an dem der Auftrag gestartet werden soll.
Um (Uhrzeit) | Legt die Uhrzeit fest, zu der der Auftrag gestartet werden soll.
Wiederholt | Der Auftrag wird entsprechend dem angezeigten Wiederholungsterminplan gestartet.
Ändern | Ändert den aktuellen Terminplan für wiederkehrende Aufträge.


Auftragsschritt (Registerkarte „Erweitert“)

In der Tabelle werden die auf der Registerkarte Erweitert der Dialogfelder Neuer Auftragsschritt und Auftragsschritt bearbeiten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Aktion bei Erfolg | Gibt die Aktion an, die bei Erfolg des Schrittes durchgeführt werden soll.
Wiederholungsversuche | Gibt die Anzahl der Wiederholungsversuche an, die bei Fehlschlagen des Schrittes durchgeführt werden sollen.
Wiederholungsintervall (Min) | Gibt das Intervall (in Minuten) zwischen den Wiederholungsversuchen an.
Aktion bei Fehler | Gibt die Aktion an, die bei Fehlschlagen des Schrittes (nach Wiederholungsversuchen) durchgeführt werden soll.
Ausgabedatei | Gibt die Datei an, in der die Ergebnisse des TSQL- oder CmdExec-Auftragsschrittes gespeichert werden sollen.
(...) | Zeigt die Verzeichnisse an, in denen die Ausgabedatei gespeichert werden kann.
Ansicht | Zeigt die ausgewählte Ausgabedatei an.
Überschreiben | Überschreibt die vorhandene Datei mit den neuen Ergebnissen.
Anhängen | Fügt die Ergebnisse am Ende der vorhandenen Datei hinzu.
Ausgabe an Schrittchronik anhängen | Fügt die Ergebnisse des TSQL-Auftragsschrittes zum Chronikeintrag für diesen Schritt hinzu.
Ausführen als DB-Benutzer | Ermöglicht dem Systemadministrator das Ausführen des Transact-SQL-Auftragsschrittes unter dem Namen eines anderen Datenbankbenutzers.
Weiter | Wechselt zum nächsten Schritt.
Zurück | Wechselt zum vorherigen Schritt.


Auftragsschritt (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein der Dialogfelder Neuer Auftragsschritt und Auftragsschritt bearbeiten zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Schrittname | Legt den Namen des Auftragsschrittes fest, der hinzugefügt werden soll; es können maximal 128 Zeichen eingegeben werden. In einem Auftrag darf jeder Schrittname nur einmal vorhanden sein.
Typ | Legt den Typ des Auftragsschrittes fest.
Datenbank | Gibt die zu verwendende Datenbank an, falls es sich um einen Auftragsschritt des Typs TSQL (Transact-SQL-Script) handelt.
Befehl | Gibt eine für das ausgewählte Subsystem geeignete Prozedur bzw. einen Befehl an.
Öffnen | Öffnet eine Transact-SQL- oder Active Script-Datei.
Analysieren | Überprüft die Syntax des Transact-SQL- oder Active Script-Befehls.
Weiter | Wechselt zum nächsten Auftragsschritt.
Zurück | Wechselt zum vorherigen Auftragsschritt.


SQL Server-Nachricht

In der folgenden Tabelle werden die im Dialogfeld SQL Server-Nachricht zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Fehlernummer | Gibt die benutzerdefinierte Fehlermeldung an. Die Nummern benutzerdefinierter Fehlermeldungen müssen 50.000 übersteigen.
Schweregrad | Gibt den Microsoft® SQL Server™-Schweregrad der Meldung an. Schweregrade reichen von 1 bis 25.
Meldungstext | Gibt den Text der Meldung an. Es können maximal 255 Zeichen eingegeben werden.
Sprache | Gibt die Sprache der Meldung an. Sie müssen zunächst eine englische Version der Meldung erstellen, bevor Sie die Meldung in einer anderen Sprache erstellen können.
Immer in Windows NT-Ereignisprotokoll schreiben | Legt fest, dass diese Meldung in das Microsoft Windows NT®-Anwendungsprotokoll geschrieben wird. Wählen Sie diese Option aus, wenn die benutzerdefinierte Meldung vom SQL Server-Agenten (zu Warnungszwecken) überwacht werden soll.


Operator - Eigenschaften (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Operator - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Legt den Namen des Operators fest; es können maximal 128 Zeichen eingegeben werden.
ID | Gibt die von Microsoft® SQL Server™ für den Operator erstellte ID an. Bei Erstellen eines neuen Operators wird Neu angezeigt.
E-Mail-Name | Gibt die E-Mail-Adresse des Operators an. Wenn der Anzeigename oder Aliasname mehrdeutig ist, geben Sie einen vollgekennzeichneten Namen in eckigen Klammern ein. Beispielsweise können Sie [SMTP:myfriend@mycompany.com] verwenden.
Pager-E-Mail-Name | Gibt die Pageradresse des Operators an. Wenn der Anzeigename oder Aliasname mehrdeutig ist, geben Sie einen vollgekennzeichneten Namen in eckigen Klammern ein. Beispielsweise können Sie [SMTP:myfriend@mycompany.com] verwenden.
(...) | Zeigt das E-Mail-Adressbuch an.
Test | Sendet eine E-Mail-, Pager- oder NET SEND-Benachrichtigung als Test.
NET SEND-Adresse | Gibt die NET SEND-Adresse des Operators an.
Pager empfangsbereit am | Legt die Tage fest, an denen der Operator für den Empfang von Pagerbenachrichtigungen zur Verfügung steht.
Arbeitstag - Beginn | Legt den Zeitpunkt fest, ab dem der Operator für den Empfang von Pagerbenachrichtigungen zur Verfügung steht.
Arbeitstag - Ende | Legt den Zeitpunkt fest, ab dem der Operator nicht mehr für den Empfang von Pagerbenachrichtigungen zur Verfügung steht.


Operator - Eigenschaften (Registerkarte „Benachrichtigungen“)

In der Tabelle werden die auf der Registerkarte Benachrichtigungen des Dialogfeldes Operator - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Benachrichtigungen an diesen Operator gesendet durch | Legt fest, ob die an diesen Operator gesendeten Benachrichtigungen nach Warnungen oder nach Aufträgen angezeigt werden.
Warnungsname | Gibt die Namen der Warnungen an, für die der Operator verantwortlich ist.
E-Mail | Legt fest, dass der Operator Benachrichtigungen per E-Mail erhält.
Pager | Legt fest, dass der Operator Benachrichtigungen per Pager erhält.
NET SEND | Legt fest, dass der Operator Benachrichtigungen per NET SEND erhält.
Operator kann Benachrichtigungen empfangen | Gibt an, dass der Operator für den Empfang von Benachrichtigungen zur Verfügung steht.
E-Mail senden | Sendet eine E-Mail-Nachricht, in der beschrieben wird, für welche Warnungen der Operator verantwortlich ist.
Mittels E-Mail | Zeigt Datum und Uhrzeit der letzten an den Operator gesendeten E-Mail-Benachrichtigung an.
Mittels Pager | Zeigt Datum und Uhrzeit der letzten an den Operator gesendeten Pagerbenachrichtigung an.
Mittels NET SEND | Zeigt Datum und Uhrzeit der letzten an den Operator gesendeten NET SEND-Benachrichtigung an.


Objekteigenschaften (Registerkarte „Berechtigungen“)

Sie können die Berechtigungen für ein Objekt anzeigen und ändern.

In der folgenden Tabelle werden die auf der Registerkarte Berechtigungen des Dialogfeldes Objekteigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Objekt | Zeigt den Namen des Objekts an.
Alle DB-Benutzernamen/DB-Rollen auflisten | Zeigt alle Benutzer und Datenbankrollen für die ausgewählte Datenbank an. Sie können zusätzlichen Benutzern Berechtigungen für das Objekt zuweisen.
Nur DB-Benutzernamen/DB-Rollen mit Berechtigungen für dieses Objekt auflisten | Berechtigungen für Benutzer oder Datenbankrollen, die bereits über Berechtigungen für das Objekt verfügen, können angezeigt oder geändert werden.
DB-Benutzernamen/DB-Rolle | Zeigt den Benutzernamen oder die Datenbankrolle an.
SELECT | Für dieses Objekt werden SELECT-Berechtigungen erteilt, aufgehoben oder verweigert.
INSERT | Für dieses Objekt werden INSERT-Berechtigungen erteilt, aufgehoben oder verweigert.
UPDATE | Für dieses Objekt werden UPDATE-Berechtigungen erteilt, aufgehoben oder verweigert.
DELETE | Für dieses Objekt werden DELETE-Berechtigungen erteilt, aufgehoben oder verweigert.
EXEC | Für dieses Objekt werden EXECUTE-Berechtigungen erteilt, aufgehoben oder verweigert.
DRI | Für dieses Objekt werden Berechtigungen der deklarativen referenziellen Integrität erteilt, aufgehoben oder verweigert.


Datenbankeigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Datenbankeigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen der ausgewählten Datenbank an.
Datenbankdateien | Zeigt den Dateinamen, den Speicherort, den reservierten Speicher sowie die Dateigruppe für die ausgewählten Datenbankdateien an.
Datei automatisch vergrößern | Vergrößert Datenbankdateien automatisch.
In Megabyte | Gibt die automatische Vergrößerung der Datenbankdateien in Megabyte an.
In Prozent | Gibt die automatische Vergrößerung der Datenbankdateien in Prozent an.
Unbeschränkt vergrößerbar | Legt fest, dass die Datenbankdateien unbeschränkt vergrößerbar sind.
Beschränkt auf (MB) | Legt die Größe (in MB) fest, auf die eine Datenbankdatei beschränkt ist.


Datenbankeigenschaften (Registerkarte „Optionen“)

In der folgenden Tabelle werden die auf der Registerkarte Optionen des Dialogfeldes Datenbankeigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Nur für DBO | Legt fest, dass nur der Datenbankbesitzer die Datenbank verwenden kann.
Einzelbenutzermodus | Legt fest, dass jeweils nur ein Benutzer auf die Datenbank zugreifen kann.
Schreibgeschützt | Legt fest, dass Daten aus der Datenbank von Benutzern zwar abgefragt, aber nicht geändert werden können.
ANSI NULL ist Standard | Legt fest, ob Datenbankspalten standardmäßig als NULL oder NOT NULL definiert sind.
Rekursive Trigger | Ermöglicht das rekursive Auslösen von Triggern.
Auswahl / Massenkopieren | Legt fest, dass nicht protokollierte Vorgänge zulässig sind.
Protokoll bei Prüfpunkt abschneiden | Legt fest, dass das Transaktionsprotokoll abgeschnitten wird, wenn der Prüfpunkt-Prüfvorgang auftritt.
Erkennung von zerrissenen Seiten | Legt fest, dass unvollständige Seiten erkannt werden.
Automatisch schließen | Legt fest, dass die Datenbank geschlossen wird, nachdem die Ressourcen freigegeben wurden und alle Benutzer die Verwendung der Datenbank beendet haben.
Automatisch verkleinern | Gibt an, dass die Datenbankdateien regelmäßig automatisch verkleinert werden.
Fehlende Statistiken erstellen | Gibt an, dass fehlende Statistiken, die von einer Abfrage für die Optimierung benötigt werden, automatisch während der Optimierung erstellt werden.
Optionen für Statistikaktualisierung | Gibt an, dass veraltete Statistiken, die von einer Abfrage für die Optimierung benötigt werden, automatisch während der Optimierung neu erstellt werden.
Bezeichner in Anführungszeichen verwenden | Gibt an, dass SQL Server die ANSI-Regeln für Anführungszeichen erzwingt. Diese Option gibt an, dass doppelte Anführungszeichen nur für Bezeichner, wie z. B. Spalten- und Tabellennamen, verwendet werden können. Zeichenfolgen müssen in einfache Anführungszeichen eingeschlossen werden.


Datenbankeigenschaften (Registerkarte „Berechtigungen“)

In der folgenden Tabelle werden die auf der Registerkarte Berechtigungen des Dialogfeldes Datenbankeigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Benutzer/Rolle | Zeigt den Namen des Benutzers oder der Rolle an.
Tabelle erstellen | Zeigt an, ob die Berechtigung zum Erstellen einer Tabelle für den betreffenden Benutzer oder die Rolle erteilt wurde.
Sicht erstellen | Zeigt an, ob die Berechtigung zum Erstellen einer Sicht für den betreffenden Benutzer oder die Rolle erteilt wurde.
GP erstellen | Zeigt an, ob die Berechtigung zum Erstellen einer Systemprozedur für den betreffenden Benutzer oder die Rolle erteilt wurde.
Standard erstellen | Zeigt an, ob die Berechtigung zum Erstellen eines Standards für den betreffenden Benutzer oder die Rolle erteilt wurde.
Regel erstellen | Zeigt an, ob die Berechtigung zum Erstellen einer Regel für den betreffenden Benutzer oder die Rolle erteilt wurde.
Sicherungs-DB | Zeigt an, ob die Berechtigung zum Erstellen einer Sicherungsdatenbank für den betreffenden Benutzer oder die Rolle erteilt wurde.
Sicherungsprotokoll | Zeigt an, ob die Berechtigung zum Erstellen eines Sicherungsprotokolls für den betreffenden Benutzer oder die Rolle erteilt wurde.


Datenbankeigenschaften (Registerkarte „Transaktionsprotokoll“)

In der folgenden Tabelle werden die auf der Registerkarte Transaktionsprotokoll des Dialogfeldes Datenbankeigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Transaktionsprotokolldateien | Zeigt den Dateinamen, den Speicherort sowie den für die Transaktionsprotokolldateien reservierten Speicher an.
Datei automatisch vergrößern | Vergrößert die Transaktionsprotokolldateien automatisch.
In Megabyte | Gibt die automatische Vergrößerung der Transaktionsprotokolldateien in Megabyte an.
In Prozent | Gibt die automatische Vergrößerung der Transaktionsprotokolldateien in Prozent an.
Unbeschränkt vergrößerbar | Legt fest, dass die Transaktionsprotokolldateien unbeschränkt vergrößerbar sind.
Beschränkt auf (MB) | Legt die Größe (in MB) fest, auf die eine Transaktionsprotokolldatei beschränkt ist.


Prozessdetails

Sie können ausführliche Informationen über den ausgewählten Prozess anzeigen. Während weitere Informationen angezeigt werden, kann der Prozess abgebrochen oder eine Nachricht an den verbundenen Computer bzw. Benutzer gesendet werden.

In der folgenden Tabelle werden die im Dialogfeld Prozessdetails zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Letzter TSQL-Befehlsstapel | Zeigt die ersten 255 Byte Text der Transact-SQL-Anweisung an, die durch den ausgewählten Prozess ausgeführt wird.
Nachricht senden | Sendet eine Nachricht an einen verbundenen Computer oder Benutzer. Beispielsweise können Sie eine Nachricht an verbundene Benutzer senden, um diesen mitzuteilen, dass der Server wegen Wartungsarbeiten heruntergefahren wird. Die Benutzer können sich dann auf das Herunterfahren des Servers vorbereiten, indem sie Vorgänge beenden und sich vom Server abmelden.
Prozess abbrechen | Stoppt einen Prozess ohne ordnungsgemäße Beendigung. Verwenden Sie diese Option, wenn ein Nicht-System-Prozess nicht auf andere Art gestoppt werden kann. Um einen Prozess abbrechen zu können, müssen Sie ein Mitglied der sysadmin-Rolle sein.
Aktualisieren | Fragt den Server erneut ab und aktualisiert das Fenster, um die aktuelle Aktivität akkurat darzustellen.


Downloadanweisungen bereitstellen

In der folgenden Tabelle werden die im Dialogfeld Downloadanweisungen bereitstellen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Anweisungstyp | Gibt den Typ der bereitgestellten Anweisung an.
Beschreibung | Beschreibt, welche Vorgänge durch die Anweisung auf dem Zielserver ausgelöst werden.
Alle Zielserver | Legt fest, dass alle Zielserver die Anweisung erhalten sollen.
Diese Zielserver | Legt fest, dass nur ausgewählte Zielserver die Anweisung erhalten sollen.
Zielserver | Gibt den Namen des Zielservers an.
Ortszeit | Gibt das aktuelle Datum und die aktuelle Uhrzeit des Zielservers in der jeweiligen Zeitzone an.
Abrufintervall | Zeigt das Intervall (in Sekunden) zwischen den Abrufvorgängen des Masterservers durch den Zielserver an.
Auswählen | Legt fest, dass der Zielserver die Downloadanweisung erhalten soll.


Provideroptionen

In der folgenden Tabelle werden die im Dialogfeld Provideroptionen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Aktivieren | Legt fest, dass die ausgewählte Provideroption aktiviert werden soll.
Name | Zeigt den Namen des Providers des Verbindungsservers an.
Übernehmen | Übernimmt an den Provideroptionen vorgenommene Änderungen.


Datenbank wiederherstellen (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Datenbank wiederherstellen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Wiederherstellen als Datenbank | Gibt die Datenbank an, die wiederhergestellt werden soll.
Datenbank | Gibt an, dass die ausgewählte Datenbank wiederhergestellt werden soll.
Dateigruppen oder Dateien | Gibt an, dass eine Dateigruppe oder Datei wiederhergestellt werden soll.
Von Medien | Legt fest, dass die Wiederherstellung von einem Medium aus erfolgen soll.
Sicherungskopien der folgenden Datenbank anzeigen | Legt fest, dass Sicherungen der ausgewählten Datenbank angezeigt werden sollen.
Erste wiederherzustellende Sicherung | Gibt an, welche Sicherung zuerst wiederhergestellt wird. Diese Option wird nur angezeigt, wenn Sie festgelegt haben, dass eine Datenbank wiederhergestellt werden soll.
Zeitpunkt wiederherstellen | Gibt an, dass eine zu einem bestimmten Zeitpunkt durchgeführte Sicherung wiederhergestellt wird. Diese Option wird nur angezeigt, wenn Sie festgelegt haben, dass eine Datenbank wiederhergestellt werden soll.
(...) | Zeigt die ausgewählten Sicherungen an. Diese Option wird nur angezeigt, wenn Sie festgelegt haben, dass eine Datenbank wiederhergestellt werden soll.
Wiederherstellen | Stellt die ausgewählte Sicherung wieder her.
Typ | Zeigt den Typ der Sicherung an.
Sicherungssatzdatum | Zeigt das Datum des Sicherungssatzes an.
Größe | Zeigt die Größe des Sicherungssatzes an.
Wiederherstellen von | Zeigt den Speicherort des Sicherungssatzes an.
Sicherungssatzname | Zeigt den Namen des Sicherungssatzes an.
Eigenschaften | Zeigt die Eigenschaften des Sicherungssatzes an.


Datenbank wiederherstellen (Registerkarte „Optionen“)

In der folgenden Tabelle werden die auf der Registerkarte Optionen des Dialogfeldes Datenbank wiederherstellen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Nach Wiederherstellen jeder einzelnen Sicherung Band auswerfen | Legt fest, dass nach der Wiederherstellung jeder Sicherung das Band ausgeworfen werden soll.
Bestätigung vor Wiederherstellen jeder einzelnen Sicherung | Legt fest, dass vor der Wiederherstellung jeder Sicherung eine Bestätigung angefordert werden soll.
Wiederherstellung über vorhandene Datenbanken erzwingen | Legt fest, dass die Wiederherstellung über eine vorhandene Datenbank erzwungen werden soll.
Datenbankdateien wiederherstellen als | Gibt den Namen und Speicherort der wiederherzustellenden Datenbankdateien an.
Datenbank weiter ausführen. Zusätzliche Transaktionsprotokolle können nicht wiederhergestellt werden. | Führt die Datenbank weiter aus, so dass keine zusätzlichen Transaktionsprotokolle wiederhergestellt werden können.
Datenbank nicht weiter ausführen. Zusätzliche Transaktionsprotokolle können wiederhergestellt werden. | Führt die Datenbank weiter aus, wobei jedoch zusätzliche Transaktionsprotokolle wiederhergestellt werden können.
Datenbank im schreibgeschützten Modus verwenden. Zusätzliche Transaktionsprotokolle können wiederhergestellt werden. | Führt die Datenbank im schreibgeschützten Modus aus. Zusätzliche Transaktionsprotokolle können wiederhergestellt werden.
Rückgängig-Datei | Gibt den Namen der Datei an, die rückgängig gemacht werden soll.
(...) | Zeigt den Speicherort der Datei an, die rückgängig gemacht werden soll.


Regeleigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Regeleigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen der Regel an.
Text | Gibt den Text der Regel an.
UDTs binden | Bindet die Regel an einen benutzerdefinierten Datentyp.
Spalten binden | Bindet die Regel an eine Spalte.


Remoteservereigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Remoteservereigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen des Remoteservers an.
RPC | Ermöglicht dem Remoteserver die Ausführung einer gespeicherten Prozedur auf dem lokalen Server unter Verwendung eines RPC (Remote Procedure Call).
Alle Remotebenutzernamen zuordnen zu | Gibt den Benutzernamen an, der beim Zugriff auf den lokalen Server von allen Remotebenutzern verwendet werden soll. Diese Option ist standardmäßig aktiviert.
Vertraut | Stellt sicher, dass für Remotebenutzernamen kein Kennwort angefordert wird, wenn diese eine Verbindung zum lokalen Server herstellen.
Remotebenutzernamen untersch. lokalen Benutzernamen zuordnen | Für Benutzer, die von einem Remoteserver aus eine Verbindung zum lokalen Server herstellen, wird jeder Remotebenutzername einem bestimmten lokalen Benutzernamen zugeordnet.


Registrierter SQL Server - Eigenschaften

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Registrierter SQL Server - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Server | Zeigt den registrierten Computer mit Microsoft® SQL Server™ an, der bearbeitet werden soll.
(...) | Zeigt die Eigenschaften des registrierten Computers mit SQL Server an.
Windows NT-Authentifizierung verwenden | Bei der Herstellung einer Verbindung zum Server wird die Windows NT-Authentifizierung verwendet. Hierbei handelt es sich um die bevorzugte Sicherheitsoption, bei der der Benutzer durch die Microsoft Windows NT®-Sicherheit überprüft wird.
SQL Server-Authentifizierung verwenden | Bei der Herstellung einer Verbindung zum Server wird die SQL Server-Authentifizierung verwendet. Bei Verwendung dieser Option wird der Benutzer durch die SQL Server-Sicherheit überprüft.
Benutzername | Gibt den Benutzernamen an, der bei der Herstellung einer Verbindung zum Server mithilfe der SQL Server-Authentifizierung verwendet werden soll.
Kennwort | Gibt das Kennwort an, das bei der Herstellung einer Verbindung zum Server mithilfe der SQL Server-Authentifizierung verwendet werden soll.
Benutzername und Kennwort immer anfordern | Legt fest, dass bei der Herstellung einer Verbindung zum Server mithilfe der SQL Server-Authentifizierung immer der Benutzername und das Kennwort angefordert werden sollen.
Servergruppe | Wählt die Servergruppe aus, die dem Server zugeordnet werden soll. Durch eine Gruppe der obersten Ebene wird festgelegt, dass die Gruppe auf der obersten Ebene der Konsolenstruktur im Fenster Server-Manager angezeigt wird.
(...) | Zeigt die Eigenschaften der ausgewählten Servergruppe an.
SQL Server-Status auf Konsole anzeigen | Zeigt den SQL Server-Status auf der Konsole an.
Systemdatenbanken und Systemobjekte anzeigen | Zeigt Systemdatenbanken und Systemobjekte an.
SQL Server automatisch beim Verbinden starten | Startet SQL Server automatisch, wenn eine Verbindung zum Server hergestellt wird.


Datenbank verkleinern

In der folgenden Tabelle werden die im Dialogfeld Datenbank verkleinern zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der zu verkleinernden Datenbank an.
Datenbank verkleinern um (%) | Gibt den Prozentsatz an, um den die Datenbank verkleinert werden soll.
So viel freien Speicherplatz wie möglich entfernen | Gibt an, dass so viel freier Speicherplatz wie möglich aus der Datenbank entfernt werden soll.
Reserviert | Zeigt die Größe des reservierten Datenbankspeicherplatzes an.
Verwendet | Zeigt die Größe des verwendeten Datenbankspeicherplatzes an.
Periodisch überprüfen, ob der Datenbank-Festplattenspeicher verkleinert werden kann | Legt fest, dass in regelmäßigen Abständen überprüft werden soll, ob der Datenbank-Festplattenspeicher verkleinert werden kann.
Terminplan | Legt den Terminplan fest, gemäß dem überprüft wird, ob der Datenbank-Festplattenspeicher verkleinert werden kann.


Eigenschaften von SQL Server Enterprise Manager (Registerkarte „Verbindung“)

In der folgenden Tabelle werden die auf der Registerkarte Verbindung des Dialogfeldes Eigenschaften von SQL Server Enterprise Manager zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Anmeldungstimeout (Sekunden) | Gibt die Anzahl der Sekunden an, die nach einem fehlgeschlagenen Remoteanmeldeversuch vergehen können.
Abfragetimeout (Sekunden) | Gibt die Anzahl der Sekunden an, die während der Verarbeitung einer Remoteabfrage vergehen können, bevor es zu einem Abfragetimeout kommt. Die Standardeinstellung ist 0; diese legt einen unbegrenzten Wartevorgang fest.
Paketgröße (Byte) | Gibt die Größe der TDS (Tabular Data Stream)-Pakete an. Die Standardgröße der TDS-Pakete beträgt 4 KB.
Zeichendaten übersetzen | Gibt an, dass Zeichendaten zwischen unterschiedlichen Client und Servercodepages übersetzt werden sollen. Diese Option betrifft nur Daten, die in char-, varchar- und text-Spalten von SQL Server gespeichert sind.
Alles zurücksetzen | Setzt alle Optionen in dem aktuellen Dialogfeld zurück.


Eigenschaften von SQL Server Enterprise Manager (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von SQL Server Enterprise Manager zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Beim Server abrufen, um den Status des Servers und der zugehörigen Dienste zu ermitteln | Ruft den Server in regelmäßigen Abständen ab und zeigt dessen Status mithilfe des Ampelsymbols an.
Dienst | Wählt den abzurufenden Dienst aus.
Abrufintervall (Sekunden) | Legt die Zeit (in Sekunden) zwischen Serverabrufen fest.
Lokal speichern | Speichert Registrierungsinformationen lokal.
Benutzerunabhängig speichern | Speichert Registrierungsinformationen unabhängig vom Benutzer.
Remotelesezugriff | Liest Registrierungsinformationen auf einem Remoteserver.
Servername | Gibt den Namen des Remoteservers an, auf dem die Registrierungsinformationen gespeichert sind.
Alles zurücksetzen | Setzt alle Optionen in dem aktuellen Dialogfeld zurück.


Serverrolle - Eigenschaften <Rolle> (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Serverrolle - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der Serverrolle an.
Geben Sie an, welche Benutzernamen Mitglieder dieser Sicherheitsrolle sind | Zeigt die Liste der Benutzernamen an, die Mitglieder der ausgewählten Serverrolle sind.
Hinzufügen | Fügt einen Benutzernamen zu der ausgewählten Serverrolle hinzu.
Entfernen | Entfernt einen Benutzernamen von der ausgewählten Serverrolle.


Servergruppen (Registerkarte „Allgemein“)

In der folgende Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Servergruppe zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen der Servergruppe an.
Gruppe der obersten Ebene | Gibt an , dass die Gruppe auf der obersten Ebene der Konsolenstruktur im Fenster Server-Manager angezeigt wird.
Untergruppe von | Gibt an, dass die Gruppe als Untergruppe einer Servergruppe angezeigt wird.


Nachricht senden

Sie können eine Nachricht an einen verbundenen Computer oder Benutzer senden. Dieses Feature steht nur für Microsoft-Netzwerke zur Verfügung.

In der folgenden Tabelle werden die im Dialogfeld Nachricht senden zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Nachricht | Gibt den Text der Nachricht an, die an den verbundenen Computer oder Benutzer gesendet wird.
DB-Benutzername verwenden | Sendet die Nachricht an den verbundenen Benutzer. Der Benutzername wird angegeben.
Hostname verwenden | Sendet die Nachricht an den verbundenen Computer. Sie können die Nachricht an einen anderen Computer senden, indem Sie in dem Feld den entsprechenden Computernamen eingeben.
Senden | Sendet die Nachricht über das Netzwerk.


SQL Mail-Konfiguration (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes SQL Mail-Konfiguration zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Profilname | Legt einen gültigen MAPI-Profilnamen fest, der für das Startkonto des MSSQLServer-Dienstes konfiguriert und getestet wurde.
Test | Startet und beendet eine MAPI-Sitzung auf dem Computer mit SQL Server, wobei das angegebene Profil verwendet wird.
SQL Mail beim Starten von SQL Server automatisch starten | Startet SQL Mail automatisch, wenn Microsoft® SQL Server™ gestartet wird. Dieses Feature steht nur unter Windows NT zur Verfügung.


Startparameter

In der folgenden Tabelle werden die im Dialogfeld Startparameter zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Parameter | Legt die Serverparameter fest, die hinzugefügt bzw. entfernt werden sollen.
Vorhandene Parameter | Zeigt die vorhandenen Serverparameter an.
Hinzufügen | Fügt einen Serverparameter hinzu.
Entfernen | Entfernt einen Serverparameter.


Eigenschaften von gespeicherten Prozeduren (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften von gespeicherten Prozeduren zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der gespeicherten Prozedur an.
Berechtigungen | Zeigt die Berechtigungen der gespeicherten Prozedur an.
Besitzer | Zeigt den Besitzer der gespeicherten Prozedur an.
Erstellungsdatum | Zeigt das Erstellungsdatum der gespeicherten Prozedur an.
Text | Zeigt den in der gespeicherten Prozedur vorkommenden Text an. Soll eine Transact SQL-Anweisung in einer mithilfe von Enterprise Manager erstellten gespeicherten Prozedur eingerückt werden, verwenden Sie STRG+TAB.
Syntax überprüfen | Überprüft die Textsyntax in der gespeicherten Prozedur.


Serverrolle - Eigenschaften

In der folgenden Tabelle werden die auf der Registerkarte Berechtigungen des Dialogfeldes Serverrolle - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Diese Serverrolle kann die folgenden Befehle ausführen | Zeigt die Befehle an, die die ausgewählte Serverrolle ausführen kann.


SQL Server-Agent-Fehlerprotokoll

In der Tabelle werden die im Dialogfeld SQL Server-Agent-Fehlerprotokoll zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Typ | Gibt den Typ der Einträge an, die aus dem SQL Server-Agent-Fehlerprotokoll angezeigt werden sollen.
Enthaltener Text | Zeigt nur Protokolleinträge an, die den angegebenen Text enthalten. Bei der Suche wird Groß-/Kleinschreibung unterschieden.
Filter anwenden | Aktualisiert die Anzeige entsprechend den angegebenen Filterparametern.
Typ | Zeigt den Typ des Protokolleintrags an.
Datum/Uhrzeit | Zeigt Erstellungsdatum und uhrzeit des Protokolleintrags an.
Meldung | Zeigt den Text des Protokolleintrags an. Doppelklicken Sie auf die Meldung, um den vollständigen Meldungstext anzuzeigen.


SQL Server-Agent-Eigenschaften (Registerkarte „Erweitert“)

In der Tabelle werden die auf der Registerkarte Erweitert des Dialogfeldes SQL Server-Agent-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
SQL Server nach unerwartetem Beenden automatisch neu starten | Startet den MSSQLServer-Dienst automatisch neu, falls dieser unerwartet beendet wird.
SQL Server-Agenten automatisch neu starten, wenn er unerwartet beendet wird | Startet den SQLServerAgent-Dienst automatisch neu, falls dieser unerwartet beendet wird.
Ereignisse an anderen Server weiterleiten | Leitet Ereignisse des Microsoft® Windows NT®-Anwendungsprotokolls von MSSQLServer an den angegebenen Server weiter.
Server | Gibt den Server an, an den Ereignisse weitergeleitet werden sollen.
Ereignisse ohne Behandlung | Leitet nur Ereignisse weiter, die nicht lokal bearbeitet wurden.
Alle Ereignisse | Leitet alle Ereignisse weiter, selbst wenn diese lokal bearbeitet wurden.
Bei Ereignissen mit einem Schweregrad von mindestens | Legt den Schweregrad für das Weiterleiten von Ereignissen an den ausgewählten Server fest. Der Wert ist größer als oder gleich dem ausgewählten Schweregrad.
Bei durchschnittlicher CPU-Nutzung unter | Gibt die Bedingung für eine im Leerlauf befindliche CPU mithilfe eines Prozentsatzes an. Die CPU befindet sich im Leerlauf, wenn die durchschnittliche CPU-Nutzung für eine bestimmte Anzahl von Sekunden unterhalb des ausgewählten Prozentsatzes bleibt.
Und unterhalb dieser Stufe verbleibt für | Gibt die Bedingung für eine im Leerlauf befindliche CPU in Sekunden an. Die CPU befindet sich im Leerlauf, wenn die durchschnittliche CPU-Nutzung für eine bestimmte Anzahl von Sekunden unterhalb des ausgewählten Prozentsatzes bleibt.


SQL Server-Agent-Eigenschaften (Registerkarte „Warnungssystem“)

In der Tabelle werden die auf der Registerkarte Warnungssystem des Dialogfeldes SQL Server-Agent-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
An-Zeile | Gibt das Pageradressenpräfix und/oder -suffix für die An-Zeile an.
CC-Zeile | Gibt das Pageradressenpräfix und/oder -suffix für die CC-Zeile an.
Pageradresse | Legt fest, ob die Pageradresse für den Operator in der An- oder CC-Zeile angegeben werden soll.
Pageradresse | Legt fest, ob die Pageradresse für den Operator in der CC-Zeile angegeben werden soll.
Betreff | Sie können bis zu 100 Zeichen eingeben; dieser Text wird in der Betreffzeile des Warnungspagers angezeigt.
Nachrichtenbereich der E-Mail in Benachrichtigungsseite aufnehmen | Schließt den Nachrichtenbereich der E-Mail in die Benachrichtigungsseite ein. Wenn Sie die Auswahl dieser Option aufheben, können Sie die gesendete Seite verkürzen.
Operator | Gibt den Operator an, an den Ausfallsicherheitsbenachrichtigungen gesendet werden sollen.
E-Mail | Ausfallsicherheitsoperator wird per E-Mail benachrichtigt.
Pager | Ausfallsicherheitsoperator wird per Pager benachrichtigt.
NET SEND | Ausfallsicherheitsoperator wird per NET SEND benachrichtigt.


SQL Server-Agent-Eigenschaften (Registerkarte „Verbindung“)

In der Tabelle werden die auf der Registerkarte Verbindung des Dialogfeldes SQL Server-Agent-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Windows NT-Authentifizierung verwenden | Stellt eine Verbindung zwischen dem SQL Server-Agenten und Microsoft® SQL Server™ mithilfe der Microsoft Windows NT®-Authentifizierung her. Wurde diese Option ausgewählt, muss es sich bei dem Windows NT-Benutzerkonto, das als Startkonto für den SQLServerAgent-Dienst angegeben wurde, um ein Mitglied der sysadmin-Rolle unter SQL Server handeln.
SQL Server-Authentifizierung verwenden | Stellt eine Verbindung zwischen dem SQL Server-Agenten und SQL Server mithilfe der SQL Server-Authentifizierung her.
SA-Benutzername | Gibt den Benutzernamen des Systemadministrators an.
Kennwort | Gibt das Kennwort des Systemadministrators an.
Anmeldungstimeout | Gibt die maximale Zeitspanne (in Sekunden) an, die der SQL Server-Agent auf die Herstellung einer Verbindung zu SQL Server wartet.
Lokaler Hostserver | Gibt den Alias für den lokalen SQL Server an, auf dem benutzerdefinierte Verbindungen durchgeführt werden. Verwenden Sie das SQL Server-Clientkonfigurationsprogramm, um die verfügbaren Auswahlmöglichkeiten zu ändern.


SQL Server-Agent-Eigenschaften (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes SQL Server-Agent-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Systemkonto | Gibt den SQLServerAgent-Dienst an, der unter dem Systemkonto ausgeführt wird.
Dieses Konto | Gibt das Microsoft® Windows NT®-Konto an, unter dem der SQLServerAgent-Dienst ausgeführt wird.
Kennwort | Gibt das Kennwort für das Windows NT-Konto an.
Mailprofil | Legt einen gültigen MAPI-Profilnamen fest, der für das Startkonto des SQLServerAgent-Dienstes konfiguriert und getestet wurde.
Test | Startet und beendet eine MAPI-Sitzung (auf dem Server) unter Verwendung des angegebenen Profils.
Kopien der gesendeten Nachrichten im Ordner „Gesendete Objekte“ speichern | Legt fest, dass Kopien aller gesendeten Nachrichten im Ordner Gesendete Objekte von Microsoft Outlook, dem Microsoft Exchange-Client oder einem entsprechenden MAPI-1-E-Mail-Client gespeichert werden.
Dateiname | Gibt den Dateinamen für das SQL Server-Agent-Protokoll an. Standardmäßig wird C:\Mssql7\Log\Sqlagent.out verwendet.
(...) | Sie können den Pfad und den Namen der Fehlerprotokolldatei auswählen.
Ansicht | Zeigt das SQL Server-Agent-Protokoll an.
Meldungen zur Ablaufverfolgung einschließen | Zusätzliche Meldungen zur Ablaufverfolgung werden in das Fehlerprotokoll eingeschlossen. Diese Option sollte nur bei speziellen Problemuntersuchungen des SQL Server-Agenten ausgewählt werden.
OEM-Datei schreiben | Diese Option ermöglicht das Schreiben der Datei Sqlagent.out (Fehlerprotokolldatei) als Nicht-Unicode-Datei. Auf diese Weise kann Speicherplatz gespart werden, besonders wenn die Option Meldungen zur Ablaufverfolgung einschließen ausgewählt wurde.
Empfänger für Popupfehlermeldungen | Gibt den Namen des Empfängers an, der Netzwerkpopupmeldungen für Fehler erhält, die der SQL Server-Agent in sein Fehlerprotokoll schreibt.


SQL Server-Agent-Eigenschaften (Registerkarte „Auftragssystem“)

In der Tabelle werden die auf der Registerkarte Auftragssystem des Dialogfeldes SQL Server-Agent-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Größe des Auftragschronikprotokolls beschränken | Ermöglicht die Größenbeschränkung des Auftragschronikprotokolls (um das Auffüllen der msdb zu verhindern).
Maximale Länge des Auftragschronikprotokolls (Zeilen) | Legt die maximale Größe des Auftragschronikprotokolls (in Zeilen) fest.
Maximale Zeilenanzahl pro Auftrag in Auftragschronik | Legt die maximale Zeilenzahl pro Auftrag in der Auftragschronik fest.
Aktuelle Länge des Auftragschronikprotokolls (Zeilen) | Zeigt die aktuelle Größe des Auftragschronikprotokolls (in Zeilen) an.
Protokoll löschen | Löscht den Inhalt des Auftragschronikprotokolls.
Timeoutintervall beim Herunterfahren | Gibt die maximale Anzahl an Sekunden an, die der SQL Server-Agent vor dem Herunterfahren auf die Ausführung eines Auftrags wartet.
Master-SQLServerAgent (MSX)-Server | Gibt den Server mit Microsoft® SQL Server™ an, der als Master-SQL Server-Agent für diesen Server fungiert.
Nur Benutzer mit Systemadministratorprivilegien können CmdExec- und ActiveScripting-Auftragsschritte ausführen | Legt fest, dass nur Mitglieder der sysadmin-Rolle CmdExec- oder ActiveScripting-Auftragsschritte ausführen können. Versucht ein Benutzer, der nicht Mitglied der sysadmin-Rolle ist, einen Auftrag mit diesen Schritten auszuführen, schlagen die CmdExec- oder ActiveScripting-Auftragsschritte fehl.
Proxykonto zurücksetzen Installiert das Microsoft Windows NT-Benutzerkonto SQLAgentCmdExec neu. Dieses Konto wird bei der Ausführung von CmdExec- oder ActiveScripting-Schritten verwendet, die zu Aufträgen von Nicht-Systemadministratoren gehören. Wenn der aktuelle Server ein BDC-Server (Backup Domain Controller, Sicherungsdomänencontroller) von Microsoft Windows NT ist, werden CmdExec- und ActiveScripting-Auftragsschritte von Aufträgen, deren Besitzer Nicht-Systemadministratoren sind, auf allen BDCs mit einem der beiden nachstehenden Fehler fehlschlagen - es sei denn, jeder BDC synchronisiert seine UAS-Datenbank (User Accounts System, Benutzerdatenbank) von Windows NT mit dem PDC-Server (Primary Domain Controller, primärer Domänencontroller). Weitere Informationen zur Replikationshäufigkeit von UAS-Datenbanken finden Sie in der Windows NT-Dokumentation.

Fehler 1380 - Anmeldung verweigert: Dem Benutzer wurde der angeforderte Anmeldetyp auf dem Computer nicht erteilt.

Fehler 1326 - Anmeldung verweigert: Unbekannter Benutzername oder falsches Kennwort.
Proxykennwort zurücksetzen Setzt das Kennwort des SQLAgentCmdExec-Proxykontos zurück. Wenn der aktuelle Server ein BDC-Server (Backup Domain Controller, Sicherungsdomänencontroller) von Microsoft Windows NT ist, werden CmdExec- und ActiveScripting-Auftragsschritte von Aufträgen, deren Besitzer Nicht-Systemadministratoren sind, auf allen BDCs mit einem der beiden nachstehenden Fehler fehlschlagen - es sei denn, jeder BDC synchronisiert seine UAS-Datenbank (User Accounts System, Benutzerkontendatenbank) von Windows NT mit dem PDC-Server (Primary Domain Controller, primärer Domänencontroller). Weitere Informationen zur Replikationshäufigkeit von UAS-Datenbanken finden Sie in der Windows NT-Dokumentation.

Fehler 1380 - Anmeldung verweigert: Dem Benutzer wurde der angeforderte Anmeldetyp auf dem Computer nicht erteilt.

Fehler 1326 - Anmeldung verweigert: Unbekannter Benutzername oder falsches Kennwort.


SQL Server-Anmeldungseigenschaften (Registerkarte „Datenbankzugriff“)

In der folgenden Tabelle werden die auf der Registerkarte Datenbankzugriff des Dialogfeldes SQL Server-Anmeldungseigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Geben Sie an, auf welche Datenbanken dieser Benutzername zugreifen kann | Gibt an, auf welche Datenbanken der Benutzername zugreifen kann.
Datenbankrollen | Wählt Berechtigungen für sämtliche Datenbankrollen aus.
Eigenschaften | Zeigt das Dialogfeld Datenbankrolle - Eigenschaften an.


SQL Server-Anmeldungseigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes SQL Server-Anmeldungseigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen des Microsoft® SQL Server™-Benutzers an.
Windows NT-Authentifizierung | Bei der Herstellung einer Verbindung zum Server wird die Microsoft Windows NT®-Authentifizierung verwendet. Hierbei handelt es sich um die bevorzugte Sicherheitsoption, bei der der Benutzer durch die Microsoft Windows NT-Sicherheit überprüft wird.
Domäne | Zeigt die Windows NT-Domäne an. Über das Windows NT-Domänenkonto ist der Netzwerkzugriff auf andere Server in der Domäne möglich.
Zugriff gewähren | Gewährt Anmeldezugriff auf ein Windows NT-Konto.
Zugriff verweigern | Verweigert Anmeldezugriff auf ein Windows NT-Konto.
SQL Server-Authentifizierung | Bei der Herstellung einer Verbindung zum Server wird die SQL Server-Authentifizierung verwendet. Bei Verwendung dieser Option wird der Benutzer durch die SQL Server-Sicherheit überprüft.
Kennwort | Gibt das Kennwort an, das bei der Herstellung einer Verbindung zum Server mithilfe der SQL Server-Authentifizierung verwendet werden soll.
Datenbank | Zeigt die Standarddatenbank für diesen Benutzernamen an.
Sprache | Zeigt die Standardsprache für diesen Benutzernamen an.


SQL Server-Anmeldungseigenschaften (Registerkarte „Serverrollen“)

In der folgenden Tabelle werden die auf der Registerkarte Serverrollen des Dialogfeldes SQL Server-Anmeldungseigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Serverrolle | Gewährt einem Benutzernamen serverweite Sicherheitsberechtigungen.
Beschreibung | Beschreibt die Anmeldungsberechtigungen für eine Rolle.
Eigenschaften | Zeigt das Dialogfeld Serverrolle - Eigenschaften an.


SQL Server-Eigenschaften (Registerkarte „Verbindungen“)

In der folgenden Tabelle werden die auf der Registerkarte Verbindungen des Dialogfeldes SQL Server-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Gleichzeitige Benutzerverbindungen (Maximum) | Gibt die maximale Anzahl gleichzeitiger Benutzerverbindungen an.
Standardverbindungsoptionen | Gibt die ausgewählten Standardverbindungsoptionen an.
Andere Computer mit SQL Server dürfen eine Remoteverbindung zu diesem Computer mit SQL Server mithilfe von RPC herstellen | Ermöglicht anderen Servern mit Microsoft® SQL Server™ die Herstellung einer Remoteverbindung zu diesem Server unter Verwendung eines RPC (Remote Procedure Call).
Abfragetimeout (Sekunden) | Gibt die Anzahl der Sekunden an, die während der Verarbeitung einer Remoteabfrage vergehen können, bevor es zu einem Abfragetimeout kommt.
Verteilte Transaktionen erzwingen (MTS) | Schützt die Aktionen einer Server-zu-Server-Prozedur durch eine MS DTC-koordinierte verteilte Transaktion.


SQL Server-Eigenschaften (Registerkarte „Datenbankeinstellungen“)

In der folgenden Tabelle werden die auf der Registerkarte Datenbankeinstellungen des Dialogfeldes SQL Server-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Standard (Optimal) | Setzt den Füllfaktor für Indizes auf 0. Auf diese Weise wird der Füllfaktor für Seiten festgelegt, die Microsoft® SQL Server™ bei der Erstellung eines neuen Indexes unter Verwendung vorhandener Daten anlegt.
Fest | Legt den Füllfaktor für Indizes fest. Auf diese Weise wird der Füllfaktor für Seiten festgelegt, die SQL Server bei der Erstellung eines neuen Indexes unter Verwendung vorhandener Daten anlegt.
Unbegrenzt warten | Legt fest, dass die DB-Library unbegrenzt auf eine Antwort von SQL Server warten soll.
Einmal versuchen und abbrechen | Legt fest, dass die DB-Library einen Versuch unternehmen und nur bis zum Timeout auf eine Antwort von SQL Server warten soll.
Versuche für <Anzahl> Minute(n) | Gibt die Zeit (in Minuten) an, die die DB-Library auf eine Antwort von SQL Server warten soll, bevor es zu einem Timeout kommt.
Standardaufbewahrungsdauer für Band (Tage) | Legt die systemweite Standardaufbewahrungsdauer für ein Sicherungsmedium fest, das für eine Datenbank- oder Transaktionsprotokollsicherung verwendet wurde.
Wiederherstellungsintervall (Min) | Legt die maximale Anzahl von Minuten pro Datenbank fest, die SQL Server für die Wiederherstellung benötigt. Der Standard ist 0 Minuten pro Datenbank; hierbei ist die Autokonfiguration aktiviert (schnelle Wiederherstellung).


SQL Server-Eigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes SQL Server-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen des Servers mit Microsoft® SQL Server™ an.
Produkt | Zeigt den Produktnamen an.
Betriebssystem | Zeigt das Betriebssystem an, das auf dem Server ausgeführt wird.
Produktversion | Zeigt die Produktversion von SQL Server an.
Standardsprache | Zeigt die Standardsprache für das Produkt an.
Plattform | Zeigt die Plattform an, auf der das Produkt ausgeführt wird.
Betriebssystemspeicher | Zeigt den Speicher des Betriebssystems an.
Prozessoren | Zeigt die Anzahl der Prozessoren an.
Stammverzeichnis | Zeigt das Stammverzeichnis an.
Codepage | Zeigt die Codepage an, die von SQL Server verwendet wird.
SQL Server automatisch starten | Startet SQL Server automatisch, wenn Microsoft Windows NT® gestartet wird.
SQL Server-Agenten automatisch starten | Startet den SQL Server-Agenten automatisch, wenn Microsoft Windows NT gestartet wird.
MSDTC automatisch starten | Startet MSDTC (Microsoft Distributed Transaction Coordinator) automatisch, wenn Microsoft Windows NT gestartet wird.
Startparameter | Zeigt das Dialogfeld Startparameter an.


SQL Server-Eigenschaften (Registerkarte „Speicher“)

In der folgenden Tabelle werden die auf der Registerkarte Speicher des Dialogfeldes SQL Server-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
SQL Server-Speicher dynamisch konfigurieren | Konfiguriert den Microsoft® SQL Server™-Speicher direkt im Anschluss an von Ihnen durchgeführte Änderungen.
Feste Speichergröße verwenden | Legt eine feste Speichergröße für SQL Server fest.
Physischen Speicher für SQL Server reservieren | Der für SQL Server reservierte physische Speicherplatz entspricht der Speichereinstellung. Dies bedeutet, dass Microsoft Windows NT® keine SQL Server-Seiten auslagert, selbst wenn diese leichter verwendet werden können, wenn sich SQL Server im Leerlauf befindet.
Minimaler Abfragespeicher | Gibt den minimalen Speicher an, der pro Benutzer für die Ausführung einer Abfrage zugewiesen werden kann. Die Standardeinstellung lautet 1024 KB.


SQL Server-Eigenschaften (Registerkarte „Prozessor“)

In der folgenden Tabelle werden die auf der Registerkarte Prozessor des Dialogfeldes SQL Server-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Prozessor | Gibt den von Microsoft® SQL Server™ zu verwendenden Prozessor an.
Anzahl Arbeitsthreads (maximal) | Gibt die maximale Anzahl der Arbeitsthreads an, die für SQL Server-Prozesse zur Verfügung stehen.
SQL Server-Priorität auf Windows NT höher stufen | Gibt an, ob SQL Server mit einer höheren Priorität ausgeführt werden soll als andere Prozesse auf demselben Computer. Die Standardeinstellung lautet 0; sie sollte nur auf Windows NT®-Systemen geändert werden, die für SQL Server reserviert sind.
NT-Fiber verwenden | Gibt an, dass SQL Server Fiber statt Threads verwenden soll. Im Fibermodus reserviert SQL Server zuerst einen Thread pro CPU und dann einen Fiber pro gleichzeitigem Benutzer, bis zum Wert von Anzahl Arbeitsthreads (maximal). Diese Einstellung wird erst nach dem Neustarten des Servers wirksam.
Alle verfügbaren Prozessoren verwenden | Legt fest, dass alle verfügbaren Prozessoren für die parallele Ausführung von Abfragen verwendet werden sollen.
Verwenden von <Anzahl> Prozessor(en) | Legt die Anzahl der Prozessoren fest, die für die parallele Ausführung von Abfragen verwendet werden sollen.
Mindestanzahl von Abfragen, bei dem diese gemäß Abfrageplan parallel ausgeführt werden können | Legt das Limit für die Erstellung und Ausführung paralleler Pläne durch SQL Server fest. SQL Server erstellt und führt einen parallelen Plan für eine Abfrage nur aus, wenn die geschätzten Kosten für das Ausführen eines seriellen Planes für diese Abfrage höher liegen als der für diese Option eingestellte Wert.


SQL Server-Eigenschaften (Registerkarte „Sicherheit“)

In der folgenden Tabelle werden die auf der Registerkarte Sicherheit des Dialogfeldes SQL Server-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
SQL Server und Windows NT | Bei der Herstellung einer Verbindung zum Server mit Microsoft® SQL Server™ werden die SQL Server- und die Windows NT-Authentifizierung verwendet.
Nur Windows NT | Bei der Herstellung einer Verbindung zum Server mit SQL Server wird nur die Windows NT-Authentifizierung verwendet.
Nicht-Administratoren verwenden das SQLAgentCmdExec-Konto zum Ausführen von Befehlen über xp_cmdshell | Legt fest, dass Nicht-Administratoren das Konto SQLAgentCmdExec verwenden sollen, wenn sie Befehle mit xp_cmdshell ausführen.
Keine | Gibt an, dass die Überwachung deaktiviert werden soll. Dies ist der Standardwert für diese Einstellung.
Erfolg | Gibt an, dass erfolgreiche Anmeldeversuche überwacht werden sollen. Versuchte Benutzerzugriffe können zusammen mit anderen SQL Server-Protokollinformationen aufgezeichnet werden. Die Überwachung kann für beide Sicherheitsmodi aktiviert werden und zeichnet Informationen auf vertrauten und nicht vertrauten Verbindungen auf. Protokolleinträge für diese Ereignisse erscheinen im Windows NT-Anwendungsprotokoll, im SQL Server-Fehlerprotokoll oder in beiden Protokollen - abhängig davon, wie Sie die Protokollierung für den SQL Server konfigurieren.
Fehler | Gibt an, dass fehlgeschlagene Anmeldeversuche überwacht werden sollen. Versuchte Benutzerzugriffe können zusammen mit anderen SQL Server-Protokollinformationen aufgezeichnet werden. Die Überwachung kann für beide Sicherheitsmodi aktiviert werden und zeichnet Informationen auf vertrauten und nicht vertrauten Verbindungen auf. Protokolleinträge für diese Ereignisse erscheinen im Windows NT-Anwendungsprotokoll, im SQL Server-Fehlerprotokoll oder in beiden Protokollen - abhängig davon, wie Sie die Protokollierung für den SQL Server konfigurieren.
Alle | Gibt an, dass erfolgreiche und fehlgeschlagene Anmeldeversuche überwacht werden sollen. Versuchte Benutzerzugriffe können zusammen mit anderen SQL Server-Protokollinformationen aufgezeichnet werden. Die Überwachung kann für beide Sicherheitsmodi aktiviert werden und zeichnet Informationen auf vertrauten und nicht vertrauten Verbindungen auf. Protokolleinträge für diese Ereignisse erscheinen im Windows NT-Anwendungsprotokoll, im SQL Server-Fehlerprotokoll oder in beiden Protokollen - abhängig davon, wie Sie die Protokollierung für den SQL Server konfigurieren.
Systemkonto | Legt fest, dass es sich bei dem SQL Server-Dienstkonto um das integrierte lokale Systemadministratorkonto handelt.
Dieses Konto | Legt fest, dass es sich bei dem SQL Server-Dienstkonto um das Konto einer Microsoft Windows NT®-Domäne handelt.
Kennwort | Gibt das Kennwort für das Windows NT-Domänenkonto an.


SQL Server-Eigenschaften (Registerkarte „Servereinstellungen“)

In der folgenden Tabelle werden die auf der Registerkarte Servereinstellungen des Dialogfeldes SQL Server-Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Standardsprache für Benutzer | Legt die beim Anzeigen von Servermeldungen verwendete Standardsprache fest.
Direkte Änderungen im Systemkatalog zulassen | Ermöglicht direkte Änderungen im Systemkatalog.
Auslösen von Triggern zulassen, die andere Trigger auslösen (geschachtelte Trigger) | Ermöglicht das Auslösen von geschachtelten Triggern.
Abfragekontrolle verwenden, um bei Abfragen das Übersteigen der folgenden Kosten zu verhindern | Legt die Kosten fest, die bei Abfragen nicht überstiegen werden dürfen. Hierzu wird die Abfragekontrolle verwendet.
Mailbenutzername | Gibt den gültigen Mailbenutzernamen für den Mailclient an.
Zweistellige Jahreszahlen interpretieren als Jahr zwischen | Gibt an, wie bestimmte Programme zweistellige Jahreszahlen interpretieren. Der Standardzeitraum ist 1950 bis 2049. Bei Verwendung des Standardzeitraums ist das Anfangsdatum der 1. Januar 1950, das Enddatum der 31. Dezember 2049. Ein Programm, das zweistellige Jahreszahlen unter Verwendung dieser Option interpretiert, stellt den Jahreszahlen von 50 bis 99 eine 19 und den Jahreszahlen von 00 bis 49 eine 20 voran. Beispielsweise wird 99 als 1999 und 01 als 2001 interpretiert. Um die Zeitspanne zu ändern, geben Sie das Endejahr ein. Folgende Regel liegt zugrunde: Zweistellige Jahreszahlen, die kleiner oder gleich den beiden letzten Stellen des angegebenen Endejahres sind, fallen in dasselbe Jahrhundert wie das Endejahr. Jahreszahlen, die größer als das Endejahr sind, fallen in das dem Endejahr vorausgehende Jahrhundert. Vierstellige Jahreszahlen sind von dieser Option nicht betroffen. Wenn SQL Server dasselbe zweistellige Endejahr wie der auf OLE-Automatisierungsobjekten basierende Client verwenden soll, wählen Sie 2030.


Triggereigenschaften

In der folgenden Tabelle werden die im Dialogfeld Triggereigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Gibt den Namen des Triggers an.
Text | Die den Trigger definierende Transact-SQL-Syntax wird angezeigt und bearbeitet.
Syntax überprüfen | Überprüft Transact-SQL auf syntaktische Fehler.
Löschen | Löscht den Trigger aus der Datenbank.


Tabelleneigenschaften (Registerkarte „Allgemein“)

Sie können Informationen über Zeilen und Spalten in einer Tabelle anzeigen.

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Tabelleneigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der Tabelle an.
Berechtigungen | Benutzerberechtigungen für die Tabelle können geändert oder angezeigt werden.
Besitzer | Zeigt den Namen des Tabellenbesitzers an.
Erstellungsdatum | Zeigt das Datum an, an dem die Tabelle in der Datenbank erstellt wurde.
Dateigruppe | Zeigt an, in welcher Dateigruppe innerhalb der Datenbank die Tabelle gespeichert ist.
Zeilen | Zeigt die Anzahl der Zeilen in der Tabelle an.
Schlüssel | Zeigt an, welche Tabellenspalten den primären Schlüssel darstellen.
ID | Zeigt an, welchen Tabellenspalten eine Identität zugeordnet wurde.
Name | Zeigt die Namen aller Tabellenspalten an.
Datentyp | Zeigt die den Spalten zugeordneten Datentypen an.
Größe | Zeigt die Größe der Tabellenspalten in Byte an.
Nullwerte | Zeigt an, welche Tabellenspalten Nullwerte zulassen.
Standard | Zeigt an, welchen Tabellenspalten Standardwerte zugeordnet wurden.


Zielserver (Registerkarte „Downloadanweisungen“)

In der folgenden Tabelle werden die auf der Registerkarte Downloadanweisungen des Dialogfeldes Zielserver zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Zielserver | Filtert Downloadanweisungen nach Zielserver.
Auftrag | Filtert Downloadanweisungen nach Auftrag.
Zielserver | Listet die Zielserver auf, für die die Downloadanweisung gilt.
Vorgang | Gibt den Vorgang an, der mithilfe der Downloadanweisung durchgeführt wird.
Objektname | Gibt den Namen des Objekts an, auf das sich die Downloadanweisung bezieht.
Bereitstellungsdatum | Gibt Datum und Uhrzeit (Ortszeit) der Anweisungsbereitstellung an.
Downloaddatum | Gibt Datum und Uhrzeit (Ortszeit) des Downloads der Anweisung durch den Zielserver an. Falls Probleme beim Download der Anweisung aufgetreten sind, wird ein Fehler angezeigt.
Status für Anweisungsdownload | Zeigt den letzten Status für die ausgewählte Downloadanweisung an.
Löschen | Löscht die ausgewählte Downloadanweisung. Sie sollten diese Option mit Vorsicht verwenden, da die Reihenfolge der Anweisungen von entscheidender Bedeutung sein kann.
Leeren | Löscht den Status der Downloadanweisung, um dem Zielserver einen neuen Downloadversuch zu ermöglichen.


Zielserver (Registerkarte „Status des Zielservers“)

In der folgenden Tabelle werden die auf der Registerkarte Status des Zielservers des Dialogfeldes Zielserver zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Zielserver | Gibt den Namen des Zielservers an. Klicken Sie mit der rechten Maustaste auf diesen Server, um die Eigenschaften des Servers, den Status des SQL Server-Agenten sowie das SQL Server-Agent-Fehlerprotokoll anzuzeigen.
Ortszeit | Gibt das aktuelle Datum und die aktuelle Uhrzeit des Zielservers in der jeweiligen Zeitzone an.
Zuletzt abgerufen | Gibt Datum und Uhrzeit (Ortszeit) des letzten Abrufs des Masterservers durch den Zielserver an.
Ungelesene Anweisungen | Gibt die Anzahl der Anweisungen des Masterservers an, die vom Zielserver noch nicht gelesen wurden.
Status | Gibt den Status des Zielservers an: Blockiert, OK oder Offline. Der Offline-Status zeigt an, dass der ausgewählte Zielserver den Masterserver innerhalb der letzten drei Abrufintervalle nicht abgerufen hat.
Abruf erzwingen | Zwingt den ausgewählten Zielserver, den Masterserver abzurufen.
Austragung erzwingen | Zwingt den ausgewählten Zielserver, sich beim Masterserver auszutragen.
Anweisungen bereitstellen | Stellt Anweisungen für einen oder mehrere Zielserver bereit.


Zielservereigenschaften

In der folgenden Tabelle werden die im Dialogfeld Zielservereigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen des Zielservers an.
Speicherort | Gibt den physischen Speicherort und/oder eine Beschreibung des Zielservers an.
Zeitzone | Zeigt die Zeitzone des Zielservers an.
Ortszeit | Zeigt das aktuelle Datum und die aktuelle Uhrzeit auf dem Zielserver in der jeweiligen Zeitzone an. Der angezeigte Wert wird nicht in Echtzeit aktualisiert.
Eintragungsdatum | Zeigt Datum und Uhrzeit (Ortszeit) des Eintrags des Zielservers an.
Letzter Abruf | Zeigt Datum und Uhrzeit (Ortszeit) des letzten Abrufs des Masterservers durch den Zielserver an.
Abrufintervall | Zeigt das Zeitintervall zwischen den Abrufvorgängen des Masterservers durch den Zielserver an.
Ungelesene Anweisungen | Zeigt die Anzahl der Anweisungen des Masterservers an, die vom Zielserver noch nicht gelesen wurden.
Server gehört diesen Zielservergruppen an | Listet die Zielservergruppen auf, denen der Zielserver angehört.


Benutzerdefinierter Datentyp - Eigenschaften (Registerkarte „Allgemein“)

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Benutzerdefinierter Datentyp - Eigenschaften zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen des benutzerdefinierten Datentyps an. Dieser Name kann vom Benutzer intuitiv gewählt werden; er kann datenbankweit einen bestimmten Datentyp bezeichnen.
Datentyp | Zeigt den Datentyp an, den der benutzerdefinierte Name bezeichnet.
Länge | Zeigt die Länge des benutzerdefinierten Datentyps an.
NULL-Werte zulassen | Zeigt an, ob der Datentyp NULL-Werte zulässt.
Regel | Zeigt die dem benutzerdefinierten Datentyp zugeordnete Regel an.
Standard | Zeigt den Standard für den benutzerdefinierten Datentyp an.
Wird verwendet von | Zeigt an, wo der benutzerdefinierte Datentyp verwendet wird.


Eigenschaften anzeigen - <Sicht> (Registerkarte „Allgemein“)

Sie können Informationen zu einer Sicht sowie den Text, durch den die Sicht erstellt wurde, anzeigen.

In der folgenden Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften anzeigen <Sicht> zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der SQL Server-Sicht an.
Berechtigungen | Benutzerberechtigungen für diese Sicht können geändert oder angezeigt werden.
Besitzer | Zeigt den Namen des Sichtbesitzers an.
Erstellungsdatum | Zeigt das Datum an, an dem die Sicht für die Datenbank erstellt wurde.
Text | Zeigt das Transact-SQL-Skript an, das zur Erstellung der Sicht verwendet wurde.
Syntax überprüfen | Überprüft die Syntax des Transact-SQL-Skripts, das zur Erstellung der Sicht verwendet wurde.


Eigenschaften für Auftragskategorie anzeigen (Registerkarte „Allgemein“)

In der Tabelle werden die auf der Registerkarte Allgemein des Dialogfeldes Eigenschaften für Auftragskategorie anzeigen zur Verfügung stehenden Optionen sowie deren Funktionen aufgelistet.

Option | Zweck
Name | Zeigt den Namen der ausgewählten Auftragskategorie an.
Aufträge in dieser Kategorie | Zeigt die Liste der Aufträge in der ausgewählten Auftragskategorie an.